/*#####################################SETTINGS ##############################################
WRF:
  10-Pseudoradar,11-temperature, 12-windchill, 13-dewpoint,14-wind, 15-precip, 16-pressure
  23-cape, 22-ttindex, 17-visibility, 18-Hail probability, 21-K Index
  25-srh 3km,27-dls, 26-lls, 19-tornado, 20-supercell
Hirlam:
  1-temperature, 2-windchill,3-wind,4-precip,5-pressure
GFS:
  41-temperature, 42-windchill, 43-dewpoint,44-wind, 45-precip, 46-pressure
  51-cape, 52-lifted, 50-ttindex
  54-srh 3km,56-dls, 55-lls, 47-tornado, 48-supercell
################################################################################################*/

var defmap=10;  // Default map, see number above
var mousewheel=1; // Mousewheel 1-enabled, 0-disabled
dojo.require("esri.map");
dojo.require("esri.layers.WebTiledLayer");
dojo.require("esri.dijit.TimeSlider");
dojo.addOnLoad(init);
  
var map,wtl,img,nex,lightMap,nconf,wat,nag,nameMap,nameMapw;
var frc, frcMap,lay,layers=[],lastLayer=1,maxfrcst,plfrcst,loaded=[],laypath,mstep,mtime,ii=1,ftimesteps=[],loadCount=0;
var currlay,timeSlider,chop,timeExtent,basepath,hstep,currtyp,oldtyp,reload=false,mettableid,currid;
var basepath_a = "maps.new.wetterdienst.de";
var basepath_b = "nordicweather.net";
basepath = basepath_a;

function init() {
  map = new esri.Map("map", {
        center: [deflon, deflat],
        zoom: defzoom,
        maxZoom: 7,
        minZoom : 3,
        showAttribution: false,
        logo:false,
        resizeDelay: 100
  });
  
  dojo.connect(map, "onLoad", function(map) {
    map.graphics.enableMouseEvents();
    if(mousewheel!=1){map.disableScrollWheelZoom();}
    return false;
  });
  
  dojo.connect(map, "onZoomStart", function() {
    reloadtiles();
    return false;
  });
  
  dojo.connect(map, "onPanStart", function(extent, endPoint) {
    reloadtiles();
    return false;
  });
  
  getmstep(defmap);
  getmtime(0);
  timeSlider = new esri.dijit.TimeSlider({style: "width: 70%; margin-left: 15px;"}, dojo.byId("timeSliderDiv"));
  map.setTimeSlider(timeSlider);
  timeslider();
  oldtyp=currtyp;
       
  var tts=0;
  $("div #timeSliderDiv table tbody tr td").each(function(tts) {
    tts++;
    $(this).addClass("td"+tts);
  });
  $(".td1").remove();
  $(".td14").remove();
  $(".td15").remove();        
  $("div span.dijitButton").hide();
        
  dojo.connect(timeSlider, "onTimeExtentChange", function(timeExtent) {
    currlay = ftimesteps[timeExtent.endTime];
    if(layers[currlay]&&reload==false){loadtiles(timeExtent.endTime, currlay);}
  });      
      

/*##############################################################################################
 * BASELAYERS
 */
 
  wtl = esri.layers.WebTiledLayer;
  lightMap = new wtl("http://${subDomain}.maps.new.wetterdienst.de/tiles/base/${level}/${col}/${row}.png", {
    "id": "Light",
    "subDomains": ["a", "b", "c"]
  });
  map.addLayer(lightMap);
  map.reorderLayer(lightMap,1);
  lightMap.hide();
  
  imgMap = new wtl("http://${subDomain}.maps.new.wetterdienst.de/ArcGIS/rest/services/World_Imagery/MapServer/tile/${level}/${row}/${col}.png", {
    "id": "Imagery",
    "subDomains": ["a", "b", "c"]
  });
  map.addLayer(imgMap);
  map.reorderLayer(imgMap,2);
  imgMap.hide();
  
  frc = esri.layers.WebTiledLayer;
  laypath=$("#"+defmap).attr('data-typ');
  $(".le"+(defmap)).clone().appendTo('#lelegend').show();
  $('#lelegend').animate({height: "show", width: "show"}, 500, "linear").css({display:"inline-block"});
  $(".mapinfo_name").html($("#"+defmap).attr('data-txt1'));
  $(".mapinfo_name2").html($("#"+defmap).attr('data-txt2'));

  for(i=1;i<maxfrcst+1;i++){
    layers[i] = new frc("http://${subDomain}."+basepath+"/tiles/frcst/esri_"+laypath+"_"+i+"/${level}/${col}/${row}.png", {
      "subDomains": ["a", "b", "c"],
      "id": "Forecast"+i,
      "opacity":0
    });
    map.addLayer(layers[i]);
    map.reorderLayer(layers[i],i+4);
    layers[i].hide();
  }
  layers[1].show();
  layers[1].setOpacity(1);
  loaded.push(1);
  
  nameMap = new wtl("http://${subDomain}.maps.new.wetterdienst.de/lines_d/${level}/${col}/${row}.png", {
    "id": "Name",
    "subDomains": ["a", "b", "c"]
  });
  map.addLayer(nameMap);
  map.reorderLayer(nameMap,75);
  nameMap.hide();
  
  nameMapw = new wtl("http://${subDomain}.maps.new.wetterdienst.de/lines_w/${level}/${col}/${row}.png", {
    "id": "Namew",
    "subDomains": ["a", "b", "c"]
  });
  map.addLayer(nameMapw);
  map.reorderLayer(nameMapw,75);
  nameMapw.hide();

/*##############################################################################################
 * DOCUMENT READY
 */

$(document).ready(function(){
  
  $("#mapPropsContainer").on("mouseleave", function(){
    $("#mapPropsContainer").animate({height: "hide", width: "hide"}, 100, "linear");
    $("#"+mettableid+"table").hide();
    if(mettableid!=currid){$("#"+mettableid).removeClass("moremapsactive");}
    return false;
  });
  $(".moremaps").on("mouseover", function(){
    $("#"+mettableid+"table").hide();
    if(mettableid!=currid){$("#"+mettableid).removeClass("moremapsactive");}
    mettableid=$(this).attr('id');
    $("#"+mettableid).addClass("moremapsactive");
    $("#mapPropsContainer").animate({height: "show", width: "show"}, 100, "linear").css({display:"inline-block"});
    $("#"+mettableid+"table").show();
    return false;
  });
  $(".moremaps").on("mouseleave", function(){
    setTimeout(function(){
      var isHovered = $("#"+mettableid+"table").is(":hover");
      var isHover = $("#"+mettableid).is(":hover");
      
      if(!isHovered && !isHover) {
        $("#"+mettableid+"table").hide();
        $("#mapPropsContainer").animate({height: "hide", width: "hide"}, 100, "linear");
        if(mettableid!=currid){$("#"+mettableid).removeClass("moremapsactive");}
      }
    },1000);
    return false;
  });
  
  $("#"+defmap).prop('checked', true);
  $("#"+defbase).prop('checked', true);
  mettableid=defmap;
  $(".esriSimpleSliderIncrementButton").css({"z-index":200});
  
  $('.checkboxes').change(function(){
    if(plfrcst){clearTimeout(plfrcst);plfrcst=false;}
    laypath=$(this).attr('data-typ');
    layid=$(this).attr('id');
    $('#lelegend').animate({height: "hide", width: "hide"}, 100, "linear").html("");
    $(".le"+(layid)).clone().appendTo('#lelegend').show();
    $('#lelegend').animate({height: "show", width: "show"}, 500, "linear").css({display:"inline-block"});
    $(".mapinfo_name").html($(this).attr('data-txt1'));
    $(".mapinfo_name2").html($(this).attr('data-txt2'));
    getmstep(layid);
    getmtime(0);
    reloadtiles();
	});
	
	$('.checkboxesb').change(function(){
	  checkbasemap();
	});
	
  checkbasemap();
  
  $(".frcstresumeButton").click(function() { 
    val = timeSlider._slider.value;
    if(val==100){
      timeSlider._slider._setValueAttr(0,false,false);
      loadtiles(timeExtent.startTime, 1);
    }
    timeSlider.play();
  });
  $(".frcstreplayButton").click(function() { 
    val = timeSlider._slider.value;
    timeSlider._slider._setValueAttr(0,false,false);
    loadtiles(timeExtent.startTime, 1);
    timeSlider.play();
  });
  $(".frcstpauseButton").click(function() { 
    timeSlider.pause();
  });
    
  if ($.browser.msie) {$(".letda2").css({"height": "4px"});}
  
  return false;
}); // Doc ready

	function timeslider(){
    timeExtent = new esri.TimeExtent();
    timeExtent.startTime = new Date(mtime);
    timeExtent.endTime = new Date(mtime + (maxfrcst * mstep));
    timeSlider.createTimeStopsByTimeInterval(timeExtent,hstep,'esriTimeUnitsHours');
    timeSlider.setThumbMovingRate(1250);
    timeSlider.startup();
  
    var labels = dojo.map(timeSlider.timeStops, function(timeStop, i) { 
      ftimesteps[timeStop] = i + 1;
      gstr = sliderticks(i,timeStop);
      return gstr; 
    });
    timeSlider.setLabels(labels);
    da=timeExtent.startTime;
    currlay = ftimesteps[timeExtent.endTime];
    $(".mapinfo_date").html(da.format("dd/mm/yyyy")+'<br/>'+da.format("HH:00 o"));
    return false;
	}
	
	function checkbasemap(){
    if($("#gray").is(':checked')){lightMap.show(); nameMap.show();}else{lightMap.hide(); nameMap.hide();}
    if($("#sat").is(':checked')){imgMap.show(); nameMapw.show();}else{imgMap.hide(); nameMapw.hide();}
    return false;
  }

  function sliderticks(i,da){
      h=da.format("HH");
      if(maxfrcst<20){
        if(i==0||l>h){o=da.format("HH")+"<br/>"+da.format("dddd");}
        else{o=h;}
        l=h;
      }if(maxfrcst>50){
        if(i%4==0){
          if(i==0||l>h){o=da.format("HH")+"<br/>"+da.format("dddd");}
          else{o=h;}
          l=h;
        }else if(i%2==1){
         o="";
        }else{
          if(l>h){o="&#8226;<br/>"+da.format("dddd");l=h;}
          else{o="&#8226;";}
        }
      }else{
        if(i%2==0){
          if(i==0||l>h){o=da.format("HH")+"<br/>"+da.format("dddd");}
          else{o=h;}
          l=h;
        }else{
          if(l>h){o="&#8226;<br/>"+da.format("dddd");l=h;}
          else{o="&#8226;";}
        }
      }
    return o;
  }

  function getmstep(val){
    $("#"+currid).removeClass("moremapsactive");
    if(val<10){
      mstep=yrstep*3600000;
      hstep=yrstep;
      mtime = yrmaptime;
      maxfrcst = yrlength;
      basepath = basepath_a;
      currtyp=1;
      currid="metno";
      $("#attrTxt").html('Data: Norwegian Meteorological Institute, <a target="_blank" href="http://www.met.no">met.no</a>');
      $("#metno").addClass("moremapsactive");
    }
    if(val>=10 && val<40){
      mstep=wrfstep*3600000;
      hstep=wrfstep;
      mtime = wrfmaptime;  
      maxfrcst = wrflength;
      basepath = basepath_a;
      currtyp=2;
      currid="wrf";
      $("#attrTxt").html('Data: Nordic WRF, <a target="_blank" href="http://www.europeanweathernetwork.eu">European Weather Network</a>');
      $("#wrf").addClass("moremapsactive");
    }
    if(val>=40 && val<60){
      mstep=gfsstep*3600000;
      hstep=gfsstep;
      mtime = gfsmaptime;  
      maxfrcst = gfslength;
      basepath = basepath_a;
      currtyp=3;
      currid="gfs";
      $("#attrTxt").html('Data: Global Forecast System (GFS), <a target="_blank" href="http://www.noaa.gov/">NOAA</a>');
      $("#gfs").addClass("moremapsactive");
    }
    return false;
  }

  function getmtime(i){
    d = mtime+(i*mstep);
    da = new Date(d);
    $(".mapinfo_date").html(da.format("dd/mm/yyyy")+'<br/>'+da.format("HH:00 o"));
    return false;
  }
  
  function loadtiles(da, currlay){
      $(".mapinfo_date").html(da.format("dd/mm/yyyy")+'<br/>'+da.format("HH:00 o"));
      if(lastLayer==-1){lastLayer=1;}
      if($.inArray(currlay, loaded)===-1){
        layers[currlay].show();
        dojo.connect(layers[currlay], "onUpdateEnd", function() {
          layers[currlay].setOpacity(1);
          layers[lastLayer].setOpacity(0);
          lastLayer=currlay;
          loaded.push(currlay);
        });
      }else{
        layers[currlay].setOpacity(1);
        layers[lastLayer].setOpacity(0);
        lastLayer=currlay;
      }
  }

  function reloadtiles(){
    loaded = [];
    reload=true;
    for(i=1;i<layers.length;i++){
      if(layers[i].opacity == 1){var uh = i;}
      map.removeLayer(layers[i]);
    }
    for(i=1;i<maxfrcst+1;i++){
      layers[i] = new frc("http://${subDomain}."+basepath+"/tiles/frcst/esri_"+laypath+"_"+i+"/${level}/${col}/${row}.png", {
        "subDomains": ["a", "b", "c"],
        "id": "Forecast"+i,
        "opacity":0
      });
      map.addLayer(layers[i]);
      map.reorderLayer(layers[i],i+4);
      map.reorderLayer(nameMap,75);
      map.reorderLayer(nameMapw,75);
      layers[i].hide();
    }
    timeslider();
    if(currtyp!=oldtyp){
      timeSlider._slider._setValueAttr(0,false,false);
      uh=1;
    }
    oldtyp=currtyp;
    if(uh==-1||uh===undefined){uh=1;}
    lastLayer=uh;
    layers[uh].show();
    layers[uh].setOpacity(1);
    loaded.push(uh);
    reload=false;
    return;
  }

  return false;
} // init

var dateFormat = function () {
	var	token = /d{1,4}|m{1,4}|yy(?:yy)?|([HhMsTt])\1?|[LloSZ]|"[^"]*"|'[^']*'/g,
		timezone = /\b(?:[PMCEA][SDP]T|(?:Pacific|Mountain|Central|Eastern|Atlantic) (?:Standard|Daylight|Prevailing) Time|(?:GMT|UTC)(?:[-+]\d{4})?)\b/g,
		timezoneClip = /[^-+\dA-Z]/g,
		pad = function (val, len) {
			val = String(val);
			len = len || 2;
			while (val.length < len) val = "0" + val;
			return val;
		};

	return function (date, mask, utc) {
		var dF = dateFormat;
		if (arguments.length == 1 && Object.prototype.toString.call(date) == "[object String]" && !/\d/.test(date)) {
			mask = date;
			date = undefined;
		}
		date = date ? new Date(date) : new Date;
		if (isNaN(date)) throw SyntaxError("invalid date");
		mask = String(dF.masks[mask] || mask || dF.masks["default"]);
		if (mask.slice(0, 4) == "UTC:") {
			mask = mask.slice(4);
			utc = true;
		}

		var	_ = utc ? "getUTC" : "get",
			d = date[_ + "Date"](),
			D = date[_ + "Day"](),
			m = date[_ + "Month"](),
			y = date[_ + "FullYear"](),
			H = date[_ + "Hours"](),
			M = date[_ + "Minutes"](),
			s = date[_ + "Seconds"](),
			L = date[_ + "Milliseconds"](),
			o = utc ? 0 : date.getTimezoneOffset(),
			flags = {
				d:    d,
				dd:   pad(d),
				ddd:  dF.i18n.dayNames[D],
				dddd: dF.i18n.dayNames[D + 7],
				m:    m + 1,
				mm:   pad(m + 1),
				mmm:  dF.i18n.monthNames[m],
				mmmm: dF.i18n.monthNames[m + 12],
				yy:   String(y).slice(2),
				yyyy: y,
				h:    H % 12 || 12,
				hh:   pad(H % 12 || 12),
				H:    H,
				HH:   pad(H),
				M:    M,
				MM:   pad(M),
				s:    s,
				ss:   pad(s),
				l:    pad(L, 3),
				L:    pad(L > 99 ? Math.round(L / 10) : L),
				t:    H < 12 ? "a"  : "p",
				tt:   H < 12 ? "am" : "pm",
				T:    H < 12 ? "A"  : "P",
				TT:   H < 12 ? "AM" : "PM",
				Z:    utc ? "UTC" : (String(date).match(timezone) || [""]).pop().replace(timezoneClip, ""),
				o:    (o > 0 ? "-" : "+") + pad(Math.floor(Math.abs(o) / 60) * 100 + Math.abs(o) % 60, 4),
				S:    ["th", "st", "nd", "rd"][d % 10 > 3 ? 0 : (d % 100 - d % 10 != 10) * d % 10]
			};

		return mask.replace(token, function ($0) {
			return $0 in flags ? flags[$0] : $0.slice(1, $0.length - 1);
		});
	};
}();

// Some common format strings
dateFormat.masks = {
	"default":      "ddd mmm dd yyyy HH:MM:ss",
	shortDate:      "m/d/yy",
	mediumDate:     "mmm d, yyyy",
	longDate:       "mmmm d, yyyy",
	fullDate:       "dddd, mmmm d, yyyy",
	shortTime:      "h:MM TT",
	mediumTime:     "h:MM:ss TT",
	longTime:       "h:MM:ss TT Z",
	isoDate:        "yyyy-mm-dd",
	isoTime:        "HH:MM:ss",
	isoDateTime:    "yyyy-mm-dd'T'HH:MM:ss",
	isoUtcDateTime: "UTC:yyyy-mm-dd'T'HH:MM:ss'Z'"
};

// Internationalization strings
dateFormat.i18n = {
	dayNames: fdaynames,
	monthNames: [
		"Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec",
		"January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December"
	]
};

// For convenience...
Date.prototype.format = function (mask, utc) {
	return dateFormat(this, mask, utc);
};