<?php
############################################################################
# European Weather Network Forecast v. 2.25 (July 2013)
############################################################################
#
# Author:	Henkka <feedback@nordicweather.net>
#
# Copyright:	(c) 2008-2013 Copyright nordicweather.net.
#
############################################################################
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
############################################################################

$deflang = "nl";         # Default language if $lang not set
$mainwidth = 678;        # Width
$tz = "Europe/Brussels"; # Europe/Helsinki, Europe/Copenhagen....
$centerlat = 50.0;       # Default latitude
$centerlon = 4;         # Default longitude
$defzoom = 6;            # Default zoomlevel, 3-7
$defbasemap = "gray";     # Default basemap, gray or sat
if(!$lang){$lang=$deflang;}

if($lang=="fi"){
define('FGUST','Maksimi tuulenpuuska');
define('FRATE','Sateen voimakkuus');
define('BASEMAPS','Pohjakartta');
define('SATELLITE','Sateliitti');
define('FWAVES','Aallonkorkeus');
define('F80PREC','80:en prec. sademr');
define('F20PREC','20:en prec. sademr');
define('TTINFO','Ukkosen mahdollisuus: 45-50 mahdollinen, <br/>50-55 todenn&auml;k&ouml;ist&auml;, 55-60 eritt&auml;in todenn&auml;k&ouml;ist&auml;');
define('SRHINFO','150-299 supersolut mahdolliset, <br/> 300-500 supersolut todenn&auml;k&ouml;isi&auml; ja tornadot mahdollisia');
define('DBZINFO','20 kevytt&auml; sadetta, <br/> 30 kohtalaista sadetta, 50 kovaa sadetta, rakeita');
define('KIINFO','noin 2 x K Index = Ukkosriski');
define('FTEMP','L&auml;mp&ouml;tila');
define('FCHILL','Hyyt&auml;vyys');
define('FDEW','Kastepiste');
define('FWIND','Tuuli');
define('FPREC','Sade');
define('FCLOUD','Pilvisyys');
define('FBARO','Ilmanpaine');
define('FSNOW','Lumisade');
define('FHAIL','Rakeita');
define('FFRZ','J&auml;&auml;t&auml;v&auml;&auml;');
define('FLIG','Ukkosta');
define('FCONV','Konv. sade');
define('FVISIB','N&auml;kyvyys');
define('FTHUN','Ukkosriski');
define('FINSTA','Pot. Ep&auml;vakaisuus');
define('FFORE','Ennusteet');
define('FAVG','Keskim.');
define('FWDIR','Tuulen suunta');
define('FUTIMES','P&auml;ivitysajat');
define('FRESO','Resoluutio');
define('FLENGTH','Pituus');
define('FSTEPS','Tiheys');
define('FRADAR','sadetutka');
define('FSAT','sateliitti');
define('SIGHAIL','Merk. Raeriski');
define('SIGTOR','Merk. Tornadoriski');
define('SIGSUP','Merk. Supersoluriski');
define('MCOMPRADAR','Maks. yhd. sadetutka');
define('SIGHAIL2','Merkitt&auml;v&auml; Raeriski');
define('SIGTOR2','Merkitt&auml;v&auml; Tornadoriski');
define('SIGSUP2','Merkitt&auml;v&auml; Supersoluriski');
define('MCOMPRADAR2','Maksimi yhdistetty sadetutka');
define('MOREMAPS','Lis&auml;&auml; karttoja');
define('FRCCINFO','<b>WRF</b> - The Weather Research and Forecasting (WRF) on seuraavan sukupolven suurs&auml;&auml;tilan numeerinen ennustej&auml;rjestelm&auml;, jonka tarkoituksena on palvella niin normaalia s&auml;&auml;n ennustamista kuin ilmakeh&auml;n tutkimuksen tarpeita. WRF:n kehitysty&ouml; on seuraavien yritysten yhteisty&ouml;: National Center for Atmospheric Research (NCAR), National Centers for Environmental Prediction (NCEP), Forecast Systems Laboratory (FSL), Air Force Weather Agency (AFWA), Naval Research Laboratory, University of Oklahoma sek&auml; Federal Aviation Administration (FAA). T&auml;m&auml; ohjelma ajetaan meid&auml;n palvelimella.
<br/><br/>
<b>met.no</b> - Proff-default 4km on "paras arvio" useasta met.no:lla ajetusta meteorologisesta mallinuksesta joka on yhdistetty yhdeksi paketiksi. Toimittaa Norjan meteorologinen laitos.
<br/><br/>
<b>Hirlam</b> - The High Resolution Limited Area Model on kansainv&auml;lisen HIRLAM ohjelman kehitt&auml;m&auml; numeerinen s&auml;&auml;n ennustamismalli. Ohjelma on seuraavien kansallisten ilmatieteen laitosten yhteisty&ouml;: DMI (Tanska), EMHI (Viro), FMI (Suomi), IMO (Islanti), LHMS (Liettua), ME (Irlanti), met.no (Norja), KNMI (Hollanti), AEMET (Espanja) sek&auml; SMHI (Ruotsi). 
<br/><br/>
<b>GFS</b> - The Global Forecast System (GFS) on NOAA:n yll&auml;pit&auml;m&auml; globaali numeerinen s&auml;&auml;malli.
<br/><br/>
<b>dBZ</b> - dBZ tarkoittaa decibeli&auml; suhteessa Z:&auml;&auml;n. On meteorologinen arvo mittamaan tutka-kaijun heijastavuutta (Z) esinett&auml;, kuten sadepisaroita, vastaan.
<br/><br/>
<b>Cape</b> - Cape (CAPE, lyhenne sanoista engl. Convective Available Potential Energy, konvektion k&auml;ytett&auml;viss&auml; oleva energia) on ilmakeh&auml;n ep&auml;vakautta kuvaava tunnusluku, joka lasketaan ilmakeh&auml;n pystysuuntaisesta l&auml;mp&ouml;tila- ja kosteusrakenteesta esimerkiksi radioluotauksen avulla. Suuret cape-arvot kertovat siit&auml; ett&auml; nousuliike voi kiihty&auml; voimakkaaksi; siksi suuri cape liittyy usein voimakkaaseen konvektioon ja suureen ukkosen todenn&auml;k&ouml;isyyteen.
<br/><br/>
<b>K Index</b> - K Index on ukkosen todenn&auml;k&ouml;isyyden kertova arvo k&auml;ytt&auml;en l&auml;mp&ouml;tilan muutosnopeutta liikkuessa yl&ouml;sp&auml;in, matalemman ilmankeh&auml;n ilmankosteutta, kostean kerroksen pystysuoraa laajuutta.
<br/><br/>
<b>TT Index</b> - Total totals -indeksi on ilmakeh&auml;n ep&auml;vakaisuutta kuvaava luku, joka lasketaan l&auml;mp&ouml;tilav&auml;hetteest&auml; ja ilman kosteudesta.
<br/><br/>
<span style="color:#888"><b>Credits:</b> Suuri kiitos <a href="http://www.saakeskus.fi" target="_blank">s&auml;&auml;keskus.fi</a>:n Stefan Gofferje:lle joistakin kaavoista GrADS:lle. Infot: Wikipedia.</span>');
$daynames = '"Sun", "Maa", "Tii", "Kes", "Tor", "Per", "Lau","Sunnuntai", "Maanantai", "Tiistai", "Keskiviikko", "Torstai", "Perjantai", "Lauantai"';

} else if ($lang=="sv"||$lang=="se"){
define('FGUST','Max vindby');
define('FRATE','Regnintensitet');
define('BASEMAPS','Bakgrund');
define('SATELLITE','Satellit');
define('FWAVES','V&aring;gh&ouml;jd');
define('F80PREC','80:e precentilens nederb&ouml;rd');
define('F20PREC','20:e precentilens nederb&ouml;rd');
define('TTINFO','Risk f&ouml;r &aring;ska; 45-50 eventuellt, <br/>50-55 troligt, 55-60 mycket sannolikt');
define('SRHINFO','150-299 superceller m&ouml;jliga, <br/> 300-500 superceller troliga samt tornados m&ouml;jliga');
define('DBZINFO',' &lt; 20 troligtvis inget regn<br/>20 l&auml;tt regn, 30 m&aring;ttligt regn, 50 kraftigt regn/hagel');
define('KIINFO','ca 2 x K Index = Risk fr &aring;ska');
define('LIINFO','&gt; 0 stabilt, &lt; 0 &aring;skbyar m&ouml;jligt<br/>&lt; -2 &aring;skbyar troligt, &lt; -6 mycket kraftiga &aring;skbyar');
define('FTEMP','Temperatur');
define('FCHILL','Vindavkylning');
define('FDEW','Daggpunkt');
define('FWIND','Vind');
define('FPREC','Nederb&ouml;rd');
define('FCLOUD','Molnighet');
define('FBARO','Lufttryck');
define('FSNOW','Sn&ouml;fall');
define('FHAIL','Hagel');
define('FFRZ','Underkylt');
define('FLIG','&aring;ska');
define('FTHUN','&aring;skrisk');
define('FCONV','Konvektiv nederb&oulm;rd');
define('FINSTA','Potentiell instabilitet');
define('FVISIB','Sikt');
define('FFORE','Prognoser');
define('FAVG','Medel');
define('FWDIR','Vindriktning');
define('FUTIMES','Uppdateringstider');
define('FRESO','Uppl&ouml;sning');
define('FLENGTH','L&auml;ngd');
define('FSTEPS','Steg');
define('FRADAR','regnradar');
define('FSAT','satellit');
define('SIGHAIL','Risk f&ouml;r Hagel');
define('SIGTOR','Risk f&ouml;r Tornados');
define('SIGSUP','Risk f&ouml;r Superceller');
define('MCOMPRADAR','Virtuell regnradar');
define('SIGHAIL2','Betydande Hagelrisk');
define('SIGTOR2','Betydande Tornadorisk');
define('SIGSUP2','Betydande Supercellrisk');
define('MCOMPRADAR2','Virtuell regnradar');
define('FLOAD','Bilder laddas, v&aulm;nligen vnta...');
define('MOREMAPS','Flera kartor');
define('FRCCINFO','<b>WRF</b> - The Weather Research and Forecasting (WRF) &auml;r n&auml;sta generationens prognos designad f&ouml;r b&aring;de operativa prognoser och atmosf&auml;riska forskningsbehov. WRF &auml;r ett samarbete mellan: National Center for Atmospheric Research (NCAR), National Centers for Environmental Prediction (NCEP), Forecast Systems Laboratory (FSL), Air Force Weather Agency (AFWA), Naval Research Laboratory, University of Oklahoma, and the Federal Aviation Administration (FAA). Detta program k&ouml;rs p&aring; v&aring;r server.
<br/><br/>
<b>met.no</b> - Denna professionella standard p&aring; 4km av meteorologisk data &auml;r ett urval av olika meteorologiska modeller som s&auml;tts samman och interpoleras till data av met.no. Tillhandah&aring;lls av det Norska meteorologiska institutet.
<br/><br/>
<b>Hirlam</b> - The High Resolution Limited Area Model &auml;r en numerisk v&auml;derprognosmodell utvecklad av det internationella HIRLAM programmet. Programmet &auml;r ett samarbete mellan f&ouml;ljande meteorologiska institut: DMI (Danmark), EMHI (Estland), FMI (Finland), IMO (Island), LHMS (Litauen), ME (Irland), met.no (Norge), KNMI (Nederl&auml;nderna), AEMET (Spainen), SMHI (Sverige).
<br/><br/>
<b>GFS</b> - The Global Forecast System (GFS) &auml;r en global v&auml;derprognosmodell underh&aring;llen av NOAA.
<br/><br/>
<b>dBZ</b> - decibel relativt till Z. Meteorologisk m&aring;tt p&aring; reflektiviteten (Z) av en radarsignal d&aring; den reflekteras olika beroende p&aring; storleken av regndropparna.
<br/><br/>
<b>Cape</b> -  Convective available potential energy (den tillg&auml;ngliga konvektiva potentiella energin) eller ibland bara tillg&auml;ngligt potentiell energi (APE) &auml;r den m&auml;ngd energi det kr&auml;vs f&ouml;r att lyfta en luftmassa ett best&auml;mt avst&aring;nd vertikalt genom atmosf&auml;ren.
<br/><br/>
<b>K Index</b> - K-Index &auml;r ett m&aring;tt p&aring; sannolikheten f&ouml;r &aring;skv&auml;der. V&auml;rdet baseras p&aring; hur snabbt den vertikala temperaturen avtar, daggpunkten/fuktighet i den l&auml;gre atmosf&auml;ren samt den vertikala utbredningen av fuktighetslagret.
<br/><br/>
<b>TT Index</b> - Konvektivt index anv&auml;nt f&ouml;r &aring;skv&auml;der.
<br/><br/>
<span style="color:#888"><b>Credits:</b> Tack till Stefan Gofferje p&aring; <a href="http://www.saakeskus.fi" target="_blank">s&auml;&auml;keskus.fi</a> f&ouml;r vissa formler till GrADS. Info: Wikipedia.</span>');
$daynames = '"S&ouml;n", "M&aring;n", "Tis", "Ons", "Tor", "Fre", "L&ouml;r","S&ouml;ndag", "M&aring;ndag", "Tisdag", "Onsdag", "Torsdag", "Fredag", "L&ouml;rdag"';

} else if ($lang=="da"||$lang=="dk"){
define('FGUST','Max vindstd');
define('FRATE','Regnrate');
define('BASEMAPS','Vlg kort');
define('SATELLITE','Satellit');
define('FWAVES','Blgehjde');
define('F80PREC','80:e procents nedbr');
define('F20PREC','20:e procents nedbr');
define('TTINFO','Tordenprognose: 45-50 muligt, <br/>50-55 sandsynligt, 55-60 meget sandsynligt');
define('SRHINFO','150-299 mulighed for superceller, <br/> 300-500 sandsynlighed for superceller og mulighed for tornadoer');
define('DBZINFO','20 let regn, <br/> 30 moderat regn, 50 kraftig regn, hagl');
define('KIINFO','ca 2 x K Index = Mulighed for torden');
define('FTEMP','Temperatur');
define('FCHILL','Vindchill');
define('FDEW','Dugpunkt');
define('FWIND','Vind');
define('FPREC','Nedbr');
define('FCLOUD','Skydkke');
define('FBARO','Barometer');
define('FSNOW','Sne');
define('FHAIL','Hagl');
define('FFRZ','Isslag');
define('FLIG','Torden');
define('FTHUN','Torden sandsynlighed');
define('FCONV','Torden nedbr.');
define('FINSTA','Pot. ustabilitet');
define('FVISIB','Sigt');
define('FFORE','Prognoser');
define('FAVG','Gennemsnit');
define('FWDIR','Retning');
define('FUTIMES','Opdateringstider');
define('FRESO','Oplsning');
define('FLENGTH','Lngde');
define('FSTEPS','Intervaller');
define('FRADAR','Radar');
define('FSAT','satellit');
define('SIGHAIL','Risiko for hagl');
define('SIGTOR','Risiko for tordadoer');
define('SIGSUP','Risiko for superceller');
define('MCOMPRADAR','Max komposit radar');
define('SIGHAIL2','Udbredt risiko for hagl');
define('SIGTOR2','Udbredt risiko for tornadoer');
define('SIGSUP2','Udbredt risiko for superceller');
define('MCOMPRADAR2','Max komposit radar');
define('MOREMAPS','Flere kort');
define('FRCCINFO','<b>WRF</b> - The Weather Research and Forecasting (WRF) modellen er en nste generation mesocale numerisk vejrudsigt system designet til at tjene bde operationelle forudsigelser og atmosfrisk forsknings behov. WRF er et samarbejde imellem National Center for Atmospheric Research (NCAR), National Centers for Environmental Prediction (NCEP), Forecast Systems Laboratory (FSL), Air Force Weather Agency (AFWA), Naval Research Laboratory, University of Oklahoma, and the Federal Aviation Administration (FAA). This software are runned on our server. 
<br/><br/>
<b>met.no</b> - De professionelle standard 4 km. meteologiske data er bedste gt udvalg af meteologiske modeller krt af met.no og samlet i et gngs datast. Leveret af det Norske Meteologiske Institut.
<br/><br/>
<b>Hirlam</b> - Hjtoplseligt begrnset omrde model (The High Resolution Limited Area Model), er en Numerisk Vejr Prognose (NWP) system udviklet af det internationale HIRLAM program. Programmet er et samarbejde imellem flgende meteologiske institutter: DMI (Danmark), EMHI (Estland), FMI (Finland), IMO (Island), LHMS (Litauen), ME (Irland), met.no (Norge), KNMI (Holland), AEMET (Spanien), SMHI (Sverige).
<br/><br/>
<b>GFS</b> - Det globale prognose system (The Global Forecast System) er et globalt numerisk vejr prognose (GFS) computer model udgivet af NOAA.
<br/><br/>
<b>dBZ</b> - dBZ str for decibel relativ i forhold til Z. Det er en meteorologisk mling af reflektion (Z) af et radarsignal der reflekteres fra et fjernt objekt.
<br/><br/>
<b>Cape</b> -  Konvektiv tilgngelig potentiel energi (CAPE), undertiden blot tilgngelig potentiel energi (APE), er den mngde energi en partikel luft skal have for at blive lftet en bestemt distance vertikalt gennem atmosfren.
<br/><br/>
<b>K Index</b> - K-Index er et ml for tordenvejr potentielt baseret p vertikal tempeaturs faldende tendens, vandindhold i den nedre atmosfre, og den lodrette udstrkning af det fugtige lag.
<br/><br/>
<b>TT Index</b> - Konvektiv index brugt til prognoser af farligt vejr.
<br/><br/>
<span style="color:#888"><b>Kredit:</b> Tak til Stefan Gofferje fra <a href="http://www.saakeskus.fi" target="_blank">s&auml;&auml;keskus.fi</a> for nogle af formlerne til beregning i GrADS. Infos: Wikipedia.</span>');
$daynames = '"Sn", "Man", "Tir", "Ons", "Tor", "Fre", "Lr","Sn", "Mandag", "Tirsdag", "Onsdag", "Torsdag", "Fredag", "Lrdag"';

}elseif($lang=="nl"){
define('FGUST','Max windgust');
define('FRATE','Rainrate');
define('BASEMAPS','Basemap');
define('SATELLITE','Satellite');
define('FWAVES','Waveheight');
define('F80PREC','80th precentile precipitation');
define('F20PREC','20th precentile precipitation');
define('TTINFO','TS kans: 45-50 mogelijk, <br/>50-55 waarschijnlijk, 55-60 zeer waarschijnlijk');
define('SRHINFO','150-299 supercellen mogelijk, <br/> 300-500 grote kans op supercel en tornado mogelijk');
define('DBZINFO','20 lichte regen, <br/> 30 matige regen, 50 zware regen, hagel');
define('KIINFO','ca 2 x K Index = Onweer kans');
define('FTEMP','Temperatuur');
define('FCHILL','Gevoelstemperatuur');
define('FDEW','Dauwpunt');
define('FWIND','Wind');
define('FPREC','Neerslag');
define('FCLOUD','Wolken');
define('FBARO','Luchtdruk');
define('FSNOW','Sneeuwval');
define('FHAIL','Hagel');
define('FFRZ','Vorst');
define('FLIG','Onweer');
define('FTHUN','Onweer kans');
define('FCONV','Convective neerslag.');
define('FINSTA','Pot. Onstabiliteit');
define('FVISIB','Zicht');
define('FFORE','Verwachting');
define('FAVG','Gemiddelde');
define('FUTIMES','Updatetijden');
define('FRESO','Resolutie');
define('FLENGTH','Lengte');
define('FSTEPS','Stappen');
define('FRADAR','radar');
define('FSAT','satelliet');
define('SIGHAIL','Sig. Hagel risico');
define('SIGTOR','Sig. Tornado risico');
define('SIGSUP','Sig. Supercel risico');
define('MCOMPRADAR','Max comp. radar');
define('SIGHAIL2','Significant Hagel risico');
define('SIGTOR2','Significant Tornado risico');
define('SIGSUP2','Significant Supercel risico');
define('MCOMPRADAR2','Max composite radar');
define('FLOAD','Beelden worden geladen, even geduld.');
define('MOREMAPS','Meer kaarten');
define('FRCCINFO','<b>WRF</b> - De Weather Research and Forecasting (WRF) is een nieuw mesoscale numeriek weersvoorspellingssysteem dat is ontworpen om in zowel operationele voorspelling als atmosferisch onderzoek te voorzien. WRF is een samenwerking tussen het National Center for Atmospheric Research (NCAR), National Centers for Environmental Prediction (NCEP), Forecast Systems Laboratory (FSL), Air Force Weather Agency (AFWA), Naval Research Laboratory, University of Oklahoma, en de Federal Aviation Administration (FAA). Deze software draait op onze server.
<br/><br/>
<b>Hirlam</b> - Het High Resolution Limited Area Model (hoog resolutie beperkte oppervlakte model) is in samenwerking gemaakt met een aantal Europese meteorologische instituten, waaronder het KNMI. Het is, net als het GFS, een numeriek model op basis van dynamische wiskundige berekeningen. De resolutie (de mate van inzoomen) is veel hoger en daarom kan dit model meer details in de verwachtingen geven.  Dit programma is een samenwerking tussen de volgende Europese meteorologische instituten: DMI (Denmark), EMHI (Estonia), FMI (Finland), IMO (Iceland), LHMS (Lithuania), ME (Ireland), met.no (Norway), KNMI (The Netherlands), AEMET (Spain), SMHI (Sweden).
<br/><br/>
<b>GFS</b> - Het Global Forecast System (GFS) model is ontwikkeld door de National Oceanic and Atmospheric Administration, het weerinstituut van de Verenigde Staten. GFS is een grootschalig numeriek model wat meteorologische parameters berekent op basis van dynamische wiskundige vergelijkingen. Het model wordt vier keer per dag bijgewerkt en kan tot 16 dagen vooruit een weersverwachting maken. Je vindt hier verschillende meteorologische parameters zoals temperatuur, luchtdruk, neerslag en wind. Aan de hand van deze parameters kunnen meteorologen zien hoe het weer zich gedraagt en wat er de komende dagen verwacht kan worden.
<br/><br/>
<b>dBZ</b> - dBZ staat voor decibel ten opzichte van Z. 
<br/><br/>
<b>Cape</b> - Convective available potential energy (CAPE), is de totale hoeveelheid energie die een luchtpakketje heeft als deze zo ver mogelijk stijgt in de atmosfeer.
<br/><br/>
<b>K Index</b> - K-Index is wordt berekend door de Vertical Totals (VT) en het verschil tussen de 850 hPa temperatuur (T850) en de 700 hPa dauwpuntsdepressie (Tdd700) bij elkaar op te tellen. De dauwpuntsdepressie is het verschil tussen de luchttemperatuur en de dauwpuntstemperatuur. Een grote dauwpuntsdepressie betekent dat het verschil tussen de luchttemperatuur en de dauwpuntstemperatuur groot is en dat de lucht dus droog is. Een kleine dauwpuntsdepressie betekent dat het verschil tussen de luchttemperatuur en de dauwpuntstemperatuur klein is en dat de lucht dus vochtig is.
<br/><br/>
<b>TT Index</b> - Convectie index wordt gebruikt voor het voorspellen van zware buien of onweer.
<br/><br/>
<span style="color:#888"><b>Credits/Info:</b> Dank aan Stefan Gofferje van <a href="http://www.saakeskus.fi" target="_blank">s&auml;&auml;keskus.fi</a> voor enkele formules voor GrADS. Info: Wikipedia.</span>');
$daynames = '"Zon", "Maa", "Din", "Woe", "Don", "Vrij", "Zat","Zondag", "Maandag", "Dinsdag", "Woensdag", "Donderdag", "Vrijdag", "Zaterdag"';

}elseif($lang=="de"){
define('FGUST','Max windgust');
define('FRATE','Rainrate');
define('BASEMAPS','Basemap');
define('SATELLITE','Satellite');
define('FWAVES','Waveheight');
define('F80PREC','80th precentile precipitation');
define('F20PREC','20th precentile precipitation');
define('TTINFO','TS Chance: 45-50 m&ouml;glich, <br/>50-55 wahrscheinlich, 55-60 sehr wahrscheinlich');
define('SRHINFO','150-299 Superzelle m&ouml;glich, <br/> 300-500 hohes risiko der superzelle und Tornado m&ouml;glich');
define('DBZINFO','20 Licht regen, <br/> 30 moderate regen, 50 schwere regen, hagel');
define('KIINFO','ca 2 x K Index = Sturm chancen');
define('FTEMP','Temperatur');
define('FCHILL','Windchill');
define('FDEW','Taupunt');
define('FWIND','Wind');
define('FPREC','Niederschlag');
define('FCLOUD','Bew&ouml;lkt');
define('FBARO','Luftdruck');
define('FSNOW','Schneefall');
define('FHAIL','Hagel');
define('FFRZ','Frost');
define('FLIG','Gewitter');
define('FTHUN','Gewitter chancen');
define('FCONV','Konvektiven niederschlag.');
define('FINSTA','Pot. Instabilit&auml;t');
define('FVISIB','Sehen');
define('FFORE','Prognose');
define('FAVG','Mittlere');
define('FUTIMES','Update-zeiten');
define('FRESO','Resolution');
define('FLENGTH','L&auml;nge');
define('FSTEPS','Steps');
define('FRADAR','Radar');
define('FSAT','satelliet');
define('SIGHAIL','Sig. Hagel ');
define('SIGTOR','Sig. Tornado risiko');
define('SIGSUP','Sig. Supercel risiko');
define('MCOMPRADAR','Max comp. radar');
define('SIGHAIL2','Significant Hagel risiko');
define('SIGTOR2','Significant Tornado risiko');
define('SIGSUP2','Significant Supercel risiko');
define('MCOMPRADAR2','Max ');
define('FLOAD','Bilder werden geladen, bitte warten.');
define('MOREMAPS','Mehr karten');
define('FRCCINFO','<b>WRF</b> - De Weather Research and Forecasting (WRF) ist eine neue mesoskaligen numerischen Wettervorhersage-System dass wurde entwickelt, um sowohl operative Vorhersage und Atmosph&auml;renforschung m&ouml;glich zu machen. WRF ist eine zusammenarbeit zwischen den National Center for Atmospheric Research (NCAR), National Centers for Environmental Prediction (NCEP), Forecast Systems Laboratory (FSL), Air Force Weather Agency (AFWA), Naval Research Laboratory, University of Oklahoma, und Federal Aviation Administration (FAA). Diese Software l&auml;uft auf unserem Server.
<br/><br/>
<b>FMI</b> - Using the opened data from the Finnish Meteorological institute. Covers Finland only.
<br/><br/>
<b>met.no</b> - The proff-default 4km meteorological data is a best-guess selection of meteorological models run at met.no and joined/interpolated into a common dataset. Provided by Norwegian Meteorological Institute.
<br/><br/>
<b>Hirlam</b> - Het High Resolution Limited Area Model (hochaufl&ouml;sende begrenzten bereich modell) ist zusammenarbeit mit einer reihe von Europ&auml;ischen Meteorologischen Instituten, inklusive KNMI. Es ist genau wie der GFS, ein numerisches modell zur dynamischen mathematischen Berechnungen. Die aufl&ouml;sung (der grad der zoom) ist viel h&ouml;her und daher kann dieses modell mehr details in den erwartungen zu geben.  Dieses programm ist eine zusammenarbeit zwischen den folgenden Europ&auml;ischen Meteorologischen Instituten: DMI (Denmark), EMHI (Estonia), FMI (Finland), IMO (Iceland), LHMS (Lithuania), ME (Ireland), met.no (Norway), KNMI (The Netherlands), AEMET (Spain), SMHI (Sweden).
<br/><br/>
<b>GFS</b> - Die Global Forecast System (GFS)-Modell wurde von der National Oceanic and Atmospheric Administration entwickelt, das Wetter Instituts der Vereinigten Staaten. GFS ist eine gro&szlig; angelegte numerischen Modell die meteorologischen Parametern berechnet basierend auf dynamischen mathematischen Gleichungen. Das Modell wird vier mal pro tag und bis zu 16 tage im voraus aktualisiert, um eine wettervorhersage zu machen. Hier finden Sie verschiedene meteorologische Parameter wie Temperatur, Niederschlag und Wind. Auf der Grundlage dieser Parameter k&ouml;nnen Meteorologen sehen, wie das Wetter sich verh&auml;lt, und was in den kommenden Tagen erwartet werden.
<br/><br/>
<b>dBZ</b> - dBZ steht f&uuml;r Dezibel in bezug auf Z. 
<br/><br/>
<b>Cape</b> - Convective available potential energy (CAPE), ist die gesamte Menge an Energie, die ein Luftpaket hat, um soweit in die Atmosph&auml;re zu erh&ouml;hen.
<br/><br/>
<b>K Index</b> - K-Index wird durch die Vertikal Gesamtscore (VT) und der Differenz zwischen 850 hPa Temperatur (T850) und der Vertiefung 700 hPa Taupunkt berechnet (Tdd700) und durch die Addition. Die taupunkterniedrigung ist der unterschied zwischen der lufttemperatur und taupunkttemperatur. Eine gro&szlig;e taupunkt depression bedeutet, dass die differenz zwischen der lufttemperatur und die Taupunkttemperatur hoch ist und die Luft trocken. Eine kleine Taupunkterniedrigung bedeutet, dass die Differenz zwischen der Lufttemperatur und Taupunkttemperatur klein und die Luft feucht ist.
<br/><br/>
<b>TT Index</b> - Konvektion Index wird f&uuml;r die Vorhersage der kr&auml;ftige Schauer und Gewitter verwendet.
<br/><br/>
<span style="color:#888"><b>Credits/Info:</b> Dank zu Stefan Gofferje von <a href="http://www.saakeskus.fi" target="_blank">s&auml;&auml;keskus.fi</a> F&uuml;r einige formeln GrADS. Info: Wikipedia.</span>');
$daynames = '"Son", "Mon", "Die", "Mitt", "Don", "Frei", "Sam","Sonntag", "Montag", "Dienstag", "Mittwoch", "Donnerstag", "Freitag", "Samstag" ';
}elseif($lang=="it"){
define('FGUST','Max windgust');
define('FRATE','Rainrate');
define('BASEMAPS','Basemap');
define('SATELLITE','Satellite');
define('FWAVES','Waveheight');
define('F80PREC','80th precentile precipitation');
define('F20PREC','20th precentile precipitation');
define('TTINFO','Probabilit&agrave; TS: 45-50 possibile, <br/>50-55 probabile, 55-60 probabili ed intensi');
define('SRHINFO','150-299 possibili supercelle, <br/> 300-500 probabili supercelle e possibili tornado');
define('DBZINFO','20 pioggia debole, <br/> 30 pioggia mderata, 50 pioggia forte, grandine');
define('KIINFO','ca 2 x Indice K  = Probabilit&agrave; temporali');
define('FTEMP','Temperature');
define('FCHILL','Windchill');
define('FDEW','P.di Rugiada');
define('FWIND','Vento');
define('FPREC','Precipitazioni');
define('FCLOUD','Nuvole');
define('FBARO','Pressione');
define('FSNOW','Neve');
define('FHAIL','Grandine');
define('FFRZ','Pioggia gelata');
define('FLIG','Temporali');
define('FTHUN','Probabilit&agrave; temporali');
define('FCONV','Precip. da convezione');
define('FINSTA','Instabilit&agrave; potenz.');
define('FVISIB','Visibilit&agrave;');
define('FFORE','Previsioni');
define('FAVG','Media');
define('FUTIMES','Freq. aggiornamento');
define('FRESO','Risoluzione');
define('FLENGTH','Lunghezza');
define('FSTEPS','Steps');
define('FRADAR','radar');
define('FSAT','satellite');
define('SIGHAIL','Sig.Rischio Grandine');
define('SIGTOR','Sig.Rischio Tornado');
define('SIGSUP','Sig.Rischio Superc.');
define('MCOMPRADAR','Max comp. radar');
define('SIGHAIL2','Sig.Rischio Grandineo');
define('SIGTOR2','Sig.Rischio Tornado');
define('SIGSUP2','Sig.Rischio Superc.');
define('MCOMPRADAR2','Max radar composito');
define('FLOAD','Henter kort, vent venligst.');
define('MOREMAPS','Altre Mappe');
define('FRCCINFO','<b>WRF</b> - Il Weather Research and Forecasting (WRF) &egrave; un modello fisico-matematico di nuova generazione progettato per servire sia previsioni operative che esigenze di ricerche in ambito atmosferico. Il WRF nasce da una cooperazione tra il Centro Nazionale di Ricerca Atmosferico (NCAR), il Centro Nazionale di Previsione Ambientale (NCEP), Laboratorio di Sistemi Previsionali (FSL), Servizio Meteorologico dell\'Aeronautica Militare (AFWA), Centro di Ricerca Navale, Universit&agrave; dell\'Oklaoma, e l\'Amministrazione dell\'Aviazione Federale (FAA). Questo software &egrave; gestito interamente sui nostri server.
<br/><br/>
<b>FMI</b> - Using the opened data from the Finnish Meteorological institute. Covers Finland only.
<br/><br/>
<b>met.no</b> - The proff-default 4km meteorological data is a best-guess selection of meteorological models run at met.no and joined/interpolated into a common dataset. Provided by Norwegian Meteorological Institute.
<br/><br/>
<b>Hirlam</b> - Il High Resolution Limited Area Model, &egrave; un modello fisico-matematico di previsione meteorologica sviluppato dal programma internazionale HIRLAM. Il programma nasce da una cooperazione tra i seguenti istituti europei di meteorologia: DMI (Danimarca), EMHI (Estonia), FMI (Finlandia), IMO (Islanda), LHMS (Lituania), ME (Irlanda), met.no (Norvegia), KNMI (Olanda), AEMET (Spagna), SMHI (Svezia).
<br/><br/>
<b>GFS</b> - Il Global Forecast System (GFS) &egrave; un modello globale fisico-matematico sviluppato dal NOAA.
<br/><br/>
<b>dBZ</b> - dBZ sta per decibel relativi a Z. Si tratta di una misura meteorologica di riflettivit&agrave; equivalente (Z) di un segnale radar riflesso da un oggetto remoto
<br/><br/>
<b>Cape</b> - &Egrave; un indice di stabilit&agrave; che misura l\'energia totale di galleggiamento acquistata da una massa d\'aria finch&egrave;, durante l\'ascesa, resta pi&ugrave; calda dell\'ambiente circostante (libera convezione).
<br/><br/>
<b>Indice K</b> - L\'indice K &egrave; un indice fondamentale per stimare la possibilit&agrave; di formazione delle nubi temporalesche e si esprime in gradi centigradi. In seguito ad un radiosondaggio con una relazione specifica possiamo calcolare il valore utile per dare un\'idea sulla percentuale di possibilit&agrave; di formazione di temporali.
<br/><br/>
<b>Indice T</b> - Indice di Convezione utilizzato per prevedere condizioni estreme del tempo.
<br/><br/>
<span style="color:#888"><b>Credits/Info:</b> Thanks to Stefan Gofferje at <a href="http://www.saakeskus.fi" target="_blank">s&auml;&auml;keskus.fi</a> for some of the formulas for GrADS. Infos: Wikipedia.</span>');
$daynames = '"Dom", "Lun", "Mar", "Mer", "Gio", "Ven", "Sab","Domenica", "Luned&igrave;", "Marted&igrave;", "Mercoled&igrave;", "Gioved&igrave;", "Venerd&igrave;", "Sabato"';

} else {
define('FGUST','Max windgust');
define('FRATE','Rainrate');
define('BASEMAPS','Basemap');
define('SATELLITE','Satellite');
define('FWAVES','Waveheight');
define('F80PREC','80th precentile precipitation');
define('F20PREC','20th precentile precipitation');
define('TTINFO','TS Probality: 45-50 possible, <br/>50-55 more likely, 55-60 severe likely');
define('SRHINFO','150-299 supercells possible, <br/> 300-500 supercells likely and tornados possible');
define('DBZINFO','20 light rain, <br/> 30 moderate rain, 50 heavy rain, hail');
define('KIINFO','ca 2 x K Index = Thunder probability');
define('FTEMP','Temperature');
define('FCHILL','Windchill');
define('FDEW','Dewpoint');
define('FWIND','Wind');
define('FPREC','Precipitation');
define('FCLOUD','Clouds');
define('FBARO','Pressure');
define('FSNOW','Snowfall');
define('FHAIL','Hail');
define('FFRZ','Freezing');
define('FLIG','Thunder');
define('FTHUN','Thunder probability');
define('FCONV','Convective precip.');
define('FINSTA','Pot. Instability');
define('FVISIB','Visibility');
define('FFORE','Forecasts');
define('FAVG','Average');
define('FUTIMES','Updatetimes');
define('FRESO','Resolution');
define('FLENGTH','Length');
define('FSTEPS','Steps');
define('FRADAR','radar');
define('FSAT','satellite');
define('SIGHAIL','Sig. Hailrisk');
define('SIGTOR','Sig. Tornadorisk');
define('SIGSUP','Sig. Supercellrisk');
define('MCOMPRADAR','Max comp. radar');
define('SIGHAIL2','Significant Hailrisk');
define('SIGTOR2','Significant Tornadorisk');
define('SIGSUP2','Significant Supercellrisk');
define('MCOMPRADAR2','Max composite radar');
define('FLOAD','Henter kort, vent venligst.');
define('MOREMAPS','More maps');
define('FRCCINFO','<b>WRF</b> - The Weather Research and Forecasting (WRF) is a next-generation mesocale numerical weather prediction system designed to serve both operational forecasting and atmospheric research needs. WRF is a cooperation between National Center for Atmospheric Research (NCAR), National Centers for Environmental Prediction (NCEP), Forecast Systems Laboratory (FSL), Air Force Weather Agency (AFWA), Naval Research Laboratory, University of Oklahoma, and the Federal Aviation Administration (FAA). This software are runned on our server.
<br/><br/>
<b>FMI</b> - Using the opened data from the Finnish Meteorological institute. Covers Finland only.
<br/><br/>
<b>met.no</b> - The proff-default 4km meteorological data is a best-guess selection of meteorological models run at met.no and joined/interpolated into a common dataset. Provided by Norwegian Meteorological Institute.
<br/><br/>
<b>Hirlam</b> - The High Resolution Limited Area Model, is a Numerical Weather Prediction (NWP) forecast system developed by the international HIRLAM programme. Programme is a cooperation between following European meteorological institutes: DMI (Denmark), EMHI (Estonia), FMI (Finland), IMO (Iceland), LHMS (Lithuania), ME (Ireland), met.no (Norway), KNMI (The Netherlands), AEMET (Spain), SMHI (Sweden).
<br/><br/>
<b>GFS</b> - The Global Forecast System (GFS) is a global numerical weather prediction computer model run by NOAA.
<br/><br/>
<b>dBZ</b> - dBZ stands for decibels relative to Z. It is a meteorological measure of equivalent reflectivity (Z) of a radar signal reflected off a remote object
<br/><br/>
<b>Cape</b> - Convective available potential energy (CAPE), sometimes, simply, available potential energy (APE), is the amount of energy a parcel of air would have if lifted a certain distance vertically through the atmosphere.
<br/><br/>
<b>K Index</b> - K-Index is a measure of the thunderstorm potential based on vertical temperature lapse rate, moisture content of the lower atmosphere, and the vertical extent of the moist layer.
<br/><br/>
<b>TT Index</b> - Convective index used for forecasting severe weather.
<br/><br/>
<span style="color:#888"><b>Credits/Info:</b> Thanks to Stefan Gofferje at <a href="http://www.saakeskus.fi" target="_blank">s&auml;&auml;keskus.fi</a> for some of the formulas for GrADS. Infos: Wikipedia.</span>');
$daynames = '"Sun", "Mon", "Tue", "Wed", "Thu", "Fri", "Sat","Sunday", "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday"';
}


date_default_timezone_set($tz);
$tzdiff = date("Z")*1000;
$tzabb = date("T");
$times = frccurl("http://a.maps.new.wetterdienst.de/maptime_e.php?tz=".$tzabb."&du=".time());
$data = json_decode($times,true);
$nfrchead ='
  <link rel="stylesheet" type="text/css" href="http://arcgis.nordicweather.net/3.4/3.4compact/js/dojo/dijit/themes/tundra/tundra.css">
  <link rel="stylesheet" type="text/css" href="http://arcgis.nordicweather.net/3.4/3.4compact/js/esri/css/esri.css" />
  <link rel="stylesheet" href="css/nwn.forecast.css?'.filemtime("css/nwn.forecast.css").'" />
  <script>
  var yrmaptime = '.($data[yr][yrtime]).';
  var gfsmaptime = '.($data[gfs][gfstime]).';
  var wrfmaptime = '.($data[wrf][wrftime]).';
  var fmimaptime = '.($data[fmi][fmitime]).';
  var yrstep = '.$data[yr][yrsteps].';
  var gfsstep = '.$data[gfs][gfssteps].';
  var wrfstep = '.$data[wrf][wrfsteps].';
  var fmistep = '.$data[fmi][fmisteps].';
  var yrlength = '.($data[yr][yrlength]/$data[yr][yrsteps]).';
  var gfslength = '.($data[gfs][gfslength]/$data[gfs][gfssteps]).';
  var wrflength = '.($data[wrf][wrflength]/$data[wrf][wrfsteps]).';
  var fmilength = '.($data[fmi][fmilength]/$data[fmi][fmisteps]).';
  var tzabb = "'.$tzabb.'";
  var language = "'.$lang.'";
  var fdaynames = ['.$daynames.'];
  var deflat = '.$centerlat.';
  var deflon = '.$centerlon.';
  var defzoom = '.$defzoom.';
  var defbase = "'.$defbasemap.'";
  </script>
  <script src="http://static.nordicweather.net/jquery/jquery-1.8.2.min.js"></script>
  <script src="http://static.nordicweather.net/jquery/jquery.comb.jq.min.js"></script>
  <script src="http://arcgis.nordicweather.net/3.4/3.4compact/init.js"></script>
  <script src="js/nwn.forecast_wrf.js?'.filemtime("js/nwn.forecast_wrf.js").'"></script>
';

if(strlen($data[note])>2){
$fnote ='<img style="margin:0 10px 0 10px" src="http://data.nordicweather.net/yr/scripts/warnd.png" alt=""/><span style="color:#CD3333;font-size:14px;line-height:1.4em">'.$data[note].'</span>';
}

$nfrcbody = '

    <div id="mmaps">
    <span class="moremaps" id="wrf">WRF</span>
    <span class="moremaps" id="metno">YR</span>
    <span class="moremaps" id="gfs">GFS</span>
    <span class="moremaps" id="base">'.BASEMAPS.'</span>
    </div>
    
    <div id="wrapper" class="tundra" style="position: relative; width: '.$mainwidth.'px; height: 675px">
    
    <div id="mapPropsContainer">  
    <table class="mapPropsTable" id="wrftable"><tr>
    <td class="mapPropsTd">
    <input type="radio" class="checkboxes" name="radio" id="10" data-typ="wrf_dbz" data-txt1="" data-txt2="<b>'.MCOMPRADAR2.':</b> '.DBZINFO.'"/>
    <label for="10">'.MCOMPRADAR.'</label><br/>
    <hr/>
    <input type="radio" class="checkboxes" name="radio" id="11" data-typ="wrf_temp" data-txt1="2m '.FTEMP.'" data-txt2=""/>
    <label for="11">'.FTEMP.'</label><br/>
    <input type="radio" class="checkboxes" name="radio" id="12" data-typ="wrf_chill" data-txt1="'.FCHILL.'" data-txt2=""/>
    <label for="12">'.FCHILL.'</label><br/>
    <input type="radio" class="checkboxes" name="radio" id="13" data-typ="wrf_dew" data-txt1="'.FDEW.'" data-txt2=""/>
    <label for="13">'.FDEW.'</label><br/>
    <input type="radio" class="checkboxes" name="radio" id="14" data-typ="wrf_wind" data-txt1="'.FWIND.'" data-txt2=""/>
    <label for="14">'.FWIND.'</label><br/>
    <!--input type="radio" class="checkboxes" name="radio" id="28" data-typ="wrf_gust" data-txt1="'.FGUST.'" data-txt2=""/>
    <label for="28">'.FGUST.'</label><br/-->
    <input type="radio" class="checkboxes" name="radio" id="15" data-typ="wrf_psnow" data-txt1="'.FPREC.'" data-txt2=""/>
    <label for="15">'.FPREC.'</label><br/>
    <input type="radio" class="checkboxes" name="radio" id="30" data-typ="wrf_rrate" data-txt1="'.FRATE.'" data-txt2=""/>
    <label for="30">'.FRATE.'</label><br/>
    <input type="radio" class="checkboxes" name="radio" id="16" data-typ="wrf_baro" data-txt1="'.FBARO.'" data-txt2=""/>
    <label for="16">'.FBARO.'</label><br/>
    <input type="radio" class="checkboxes" name="radio" id="17" data-typ="wrf_visib" data-txt1="'.FVISIB.'" data-txt2=""/>
    <label for="17">'.FVISIB.'</label><br/>
    <hr/>
    <input type="radio" class="checkboxes" name="radio" id="18" data-typ="wrf_hail" data-txt1="'.SIGHAIL.'" data-txt2=""/>
    <label for="18">'.SIGHAIL.'</label><br/>
    <input type="radio" class="checkboxes" name="radio" id="19" data-typ="wrf_tornado" data-txt1="'.SIGTOR.'" data-txt2=""/>
    <label for="19">'.SIGTOR.'</label><br/>
    <input type="radio" class="checkboxes" name="radio" id="20" data-typ="wrf_supercell" data-txt1="'.SIGSUP.'" data-txt2=""/>
    <label for="20">'.SIGSUP.'</label><br/>
    <input type="radio" class="checkboxes" name="radio" id="21" data-typ="wrf_ki" data-txt1="" data-txt2="<b>K Index: </b>'.KIINFO.'"/>
    <label for="21">K Index</label><br/>
    <input type="radio" class="checkboxes" name="radio" id="31" data-typ="wrf_cin" data-txt1="Cin" data-txt2=""/>
    <label for="31">CIN</label><br/>
    <input type="radio" class="checkboxes" name="radio" id="32" data-typ="wrf_swiss" data-txt1="SWISS12" data-txt2=""/>
    <label for="32">SWISS12</label><br/>
    <input type="radio" class="checkboxes" name="radio" id="22" data-typ="wrf_ttindex" data-txt1="" data-txt2="<b>TT Index: </b>'.TTINFO.'"/>
    <label for="22">TT Index</label><br/>
    <input type="radio" class="checkboxes" name="radio" id="29" data-typ="wrf_lftx" data-txt1="Lifted Index" data-txt2=""/>
    <label for="29">Lifted Index</label><br/>
    <input type="radio" class="checkboxes" name="radio" id="23" data-typ="wrf_cape" data-txt1="CAPE" data-txt2=""/>
    <label for="23">CAPE</label><br/>
    <input type="radio" class="checkboxes" name="radio" id="25" data-typ="wrf_srh3" data-txt1="" data-txt2="<b>Storm-relative Helicity 0-3 km: </b>'.SRHINFO.'"/>
    <label for="25">SRH 0-3 km</label><br/>
    <input type="radio" class="checkboxes" name="radio" id="26" data-typ="wrf_shear01" data-txt1="Low level Shear 0-1 km" data-txt2=""/>
    <label for="26">LLS 0-1 km</label><br/>
    <input type="radio" class="checkboxes" name="radio" id="27" data-typ="wrf_shear06" data-txt1="Deep level Shear 0-6 km" data-txt2=""/>
    <label for="27">DLS 0-6 km</label><br/>

    </td>
    </tr></table>
    <table class="mapPropsTable" id="metnotable"><tr>
    <td class="mapPropsTd">
    <input type="radio" class="checkboxes" name="radio" id="1" data-typ="yr_temp" data-txt1="2m '.FTEMP.'" data-txt2=""/>
    <label for="1">'.FTEMP.'</label><br/>
    <input type="radio" class="checkboxes" name="radio" id="2" data-typ="yr_chill" data-txt1="'.FCHILL.'" data-txt2=""/>
    <label for="2">'.FCHILL.'</label><br/>
    <input type="radio" class="checkboxes" name="radio" id="3" data-typ="yr_wind" data-txt1="'.FWIND.'" data-txt2=""/>
    <label for="3">'.FWIND.'</label><br/>
    <!--input type="radio" class="checkboxes" name="radio" id="4" data-typ="yr_precip20" data-txt1="'.F20PREC.'" data-txt2=""/>
    <label for="4">'.F20PREC.'</label><br/-->
    <input type="radio" class="checkboxes" name="radio" id="5" data-typ="yr_precip" data-txt1="'.FPREC.'" data-txt2=""/>
    <label for="5">'.FPREC.'</label><br/>
    <input type="radio" class="checkboxes" name="radio" id="6" data-typ="yr_baro" data-txt1="'.FBARO.'" data-txt2=""/>
    <label for="6">'.FBARO.'</label><br/>
    </td>
    </tr></table>
    <table class="mapPropsTable" id="gfstable"><tr>
    <td class="mapPropsTd" id="test">
    <input type="radio" class="checkboxes" name="radio" id="41" data-typ="gfs_temp" data-txt1="2m '.FTEMP.'" data-txt2=""/>
    <label for="41">'.FTEMP.'</label><br/>
    <input type="radio" class="checkboxes" name="radio" id="42" data-typ="gfs_chill" data-txt1="'.FCHILL.'" data-txt2=""/>
    <label for="42">'.FCHILL.'</label><br/>
    <input type="radio" class="checkboxes" name="radio" id="43" data-typ="gfs_dew" data-txt1="'.FDEW.'" data-txt2=""/>
    <label for="43">'.FDEW.'</label><br/>
    <input type="radio" class="checkboxes" name="radio" id="44" data-typ="gfs_wind" data-txt1="'.FWIND.'" data-txt2=""/>
    <label for="44">'.FWIND.'</label><br/>
    <input type="radio" class="checkboxes" name="radio" id="45" data-typ="gfs_psnow" data-txt1="'.FPREC.'" data-txt2=""/>
    <label for="45">'.FPREC.'</label><br/>
    <input type="radio" class="checkboxes" name="radio" id="46" data-typ="gfs_baro" data-txt1="'.FBARO.'" data-txt2=""/>
    <label for="46">'.FBARO.'</label><br/>
    <hr/>
    <input type="radio" class="checkboxes" name="radio" id="47" data-typ="gfs_tornado" data-txt1="'.SIGTOR.'" data-txt2=""/>
    <label for="47">'.SIGTOR.'</label><br/>
    <input type="radio" class="checkboxes" name="radio" id="48" data-typ="gfs_supercell" data-txt1="'.SIGSUP.'" data-txt2=""/>
    <label for="48">'.SIGSUP.'</label><br/>
    <input type="radio" class="checkboxes" name="radio" id="50" data-typ="gfs_ttindex" data-txt1="" data-txt2="<b>TT Index: </b>'.TTINFO.'"/>
    <label for="50">TT Index</label><br/>
    <input type="radio" class="checkboxes" name="radio" id="51" data-typ="gfs_cape" data-txt1="CAPE" data-txt2=""/>
    <label for="51">CAPE</label><br/>
    <input type="radio" class="checkboxes" name="radio" id="52" data-typ="gfs_lftx" data-txt1="LI Index" data-txt2=""/>
    <label for="52">LI Index</label><br/>
    <input type="radio" class="checkboxes" name="radio" id="54" data-typ="gfs_srh3" data-txt1="" data-txt2="<b>Storm-relative Helicity 0-3 km: </b>'.SRHINFO.'"/>
    <label for="54">SRH 0-3 km</label><br/>
    <input type="radio" class="checkboxes" name="radio" id="55" data-typ="gfs_shear01" data-txt1="Low level Shear 0-1 km" data-txt2=""/>
    <label for="55">LLS 0-1 km</label><br/>
    <input type="radio" class="checkboxes" name="radio" id="56" data-typ="gfs_shear06" data-txt1="Deep level Shear 0-6 km" data-txt2=""/>
    <label for="56">DLS 0-6 km</label><br/>
    </td>
    </tr></table>
    <table class="mapPropsTable" id="basetable"><tr>
    <td class="mapPropsTd">
    <input type="radio" class="checkboxesb" name="radiob" id="gray"/>
    <label for="gray">Natural Earth</label><br/>
    <input type="radio" class="checkboxesb" name="radiob" id="sat"/>
    <label for="sat">'.SATELLITE.'</label><br/>
    </td>
    </tr></table>
    </div>
    
    <div id="map" style="position: absolute; width: '.$mainwidth.'px; height: 675px; z-index: 1;"></div>
    
    <span id="nwnLogo" style="display:inline-block;" class="nwn nwn-small"></span>
    <div id="lelegend"></div>
    <div class="nexsdiv mapinfo"><span class="mapinfo_date"></span><span class="mapinfo_name"></span><span class="mapinfo_name2"></span></div>
    <div id="attribution"><span id="attrTxt"></span><span id="attrTxt2"></span>.Powered by <a href="http://www.esri.com/" target="_blank">Esri</a>.</div>
    </div>

     <div style="margin:20px auto;">
    <div style="float:right;width:25%; position: relative;top:-5px;">
    <img style="margin-left:20px;" src="http://static.nordicweather.net/img/play2.png" class="frcstresumeButton" alt=""/>
    <img style="margin-left:10px;" src="http://static.nordicweather.net/img/stop2.png" class="frcstpauseButton" alt=""/>
    <img style="margin-left:10px;" src="http://static.nordicweather.net/img/repeat2.png" class="frcstreplayButton" alt=""/>
    </div>
    <div id="timeSliderDiv" style="width:70%; margin-left: 10px;"></div>
    </div>
    
	<div class="frccwiki" style="">'.$fnote.'
	<table style="width:550px;margin-bottom:20px" class="finfo">
	<tr class="finfoheader">
	<th style="width:15%"></th>
	<th style="width:40%">'.FUTIMES.' ('.$tzabb.')</th>
	<th style="width:15%">'.FRESO.'</th>
	<th style="width:15%">'.FLENGTH.'</th>
	<th style="width:15%">'.FSTEPS.'</th>
	</tr>
	<tr>
	<td class="finfocontenttd"><b>WRF</b></td>
	<td class="finfocontenttd">'.$data[wrf][wrfupd].'</td>
	<td class="finfocontenttd">'.$data[wrf][wrfreso].' km</td>
	<td class="finfocontenttd">'.$data[wrf][wrflength].'h</td>
	<td class="finfocontenttd">'.$data[wrf][wrfsteps].'h</td>
	</tr>
  <!--tr>
	<td class="finfocontenttd"><b>FMI</b></td>
	<td class="finfocontenttd">'.$data[fmi][fmiupd].'</td>
	<td class="finfocontenttd">'.$data[fmi][fmireso].' km</td>
	<td class="finfocontenttd">'.$data[fmi][fmilength].'h</td>
	<td class="finfocontenttd">'.$data[fmi][fmisteps].'h</td>
	</tr-->
	<tr>
	<td class="finfocontenttd"><b>YR</b></td>
	<td class="finfocontenttd">'.$data[yr][yrupd].'</td>
	<td class="finfocontenttd">'.$data[yr][yrreso].' km</td>
	<td class="finfocontenttd">'.$data[yr][yrlength].'h</td>
	<td class="finfocontenttd">'.$data[yr][yrsteps].'h</td>
	</tr>
	<tr>
	<td class="finfocontenttd"><b>GFS</b></td>
	<td class="finfocontenttd">'.$data[gfs][gfsupd].'</td>
	<td class="finfocontenttd">'.$data[gfs][gfsreso].' km</td>
	<td class="finfocontenttd">'.$data[gfs][gfslength].'h</td>
	<td class="finfocontenttd">'.$data[gfs][gfssteps].'h</td>
	</tr>
	</table>
	'.FRCCINFO.'</div> 
<br/>
<span style="float:right"><a rel="license" href="http://creativecommons.org/licenses/by-nc-nd/3.0/"><img alt="Creative Commons -lisenssi" style="border-width:0" src="http://i.creativecommons.org/l/by-nc-nd/3.0/88x31.png" /></a></span>
Except where otherwise noted, content on this page is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-nc-nd/3.0/">Creative Commons Attribution 3.0 License</a>.<br/>
&copy; Maps by <a href="http://www.europeanweathernetwork.eu" target="_blank">European Weather Network</a>. Reusage without permission forbidden.

<table class="letable le4 le5">
<tr><td class="letda" style="background-color:#c00099"></td><td class="letdb">30-35 mm</td></tr>
<tr><td class="letda" style="background-color:#800099"></td><td class="letdb">25-30 mm</td></tr>
<tr><td class="letda" style="background-color:#400099"></td><td class="letdb">20-25 mm</td></tr>
<tr><td class="letda" style="background-color:#000099"></td><td class="letdb">15-20 mm</td></tr>
<tr><td class="letda" style="background-color:#0000cc"></td><td class="letdb">10-15 mm</td></tr>
<tr><td class="letda" style="background-color:#0019ff"></td><td class="letdb">6-10 mm</td></tr>
<tr><td class="letda" style="background-color:#0059ff"></td><td class="letdb">4-6 mm</td></tr>
<tr><td class="letda" style="background-color:#0099ff"></td><td class="letdb">2-4 mm</td></tr>
<tr><td class="letda" style="background-color:#20b2ff"></td><td class="letdb">1-2 mm</td></tr>
<tr><td class="letda" style="background-color:#40ccff"></td><td class="letdb">0.2-1 mm</td></tr>
</table>

<table class="letable le45">
<tr><td class="letda" style="background-color:#c00099"></td><td class="letdb">30-35 mm</td></tr>
<tr><td class="letda" style="background-color:#800099"></td><td class="letdb">25-30 mm</td></tr>
<tr><td class="letda" style="background-color:#400099"></td><td class="letdb">20-25 mm</td></tr>
<tr><td class="letda" style="background-color:#000099"></td><td class="letdb">15-20 mm</td></tr>
<tr><td class="letda" style="background-color:#0000cc"></td><td class="letdb">10-15 mm</td></tr>
<tr><td class="letda" style="background-color:#0019ff"></td><td class="letdb">6-10 mm</td></tr>
<tr><td class="letda" style="background-color:#0059ff"></td><td class="letdb">4-6 mm</td></tr>
<tr><td class="letda" style="background-color:#0099ff"></td><td class="letdb">2-4 mm</td></tr>
<tr><td class="letda" style="background-color:#20b2ff"></td><td class="letdb">1-2 mm</td></tr>
<tr><td class="letda" style="background-color:#40ccff"></td><td class="letdb">0.2-1 mm</td></tr>
<tr><td class="letda" style="text-align:center;"><img src="http://data.nordicweather.net/yr/scripts/snowflake_24.png" alt="" /></td><td class="letdb">'.FSNOW.'</td></tr>
</table>

<table class="letable le30" style="width:120px;float:right">
<tr><td class="letda" style="background-color:#c00099"></td><td class="letdb">25-30 mm/h</td></tr>
<tr><td class="letda" style="background-color:#800099"></td><td class="letdb">20-25 mm/h</td></tr>
<tr><td class="letda" style="background-color:#400099"></td><td class="letdb">15-20 mm</td></tr>
<tr><td class="letda" style="background-color:#000099"></td><td class="letdb">10-15 mm/h</td></tr>
<tr><td class="letda" style="background-color:#0000cc"></td><td class="letdb">6-10 mm/h</td></tr>
<tr><td class="letda" style="background-color:#0019ff"></td><td class="letdb">4-8 mm/h</td></tr>
<tr><td class="letda" style="background-color:#0059ff"></td><td class="letdb">2-4 mm/h</td></tr>
<tr><td class="letda" style="background-color:#0099ff"></td><td class="letdb">1-2 mm/h</td></tr>
<tr><td class="letda" style="background-color:#20b2ff"></td><td class="letdb">0.5-1 mm/h</td></tr>
<tr><td class="letda" style="background-color:#40ccff"></td><td class="letdb">0.1-0.5 mm/h</td></tr>
</table>

<table class="letable le15">
<tr><td class="letda" style="background-color:#c00099"></td><td class="letdb">25-30 mm</td></tr>
<tr><td class="letda" style="background-color:#800099"></td><td class="letdb">20-25 mm</td></tr>
<tr><td class="letda" style="background-color:#400099"></td><td class="letdb">15-20 mm</td></tr>
<tr><td class="letda" style="background-color:#000099"></td><td class="letdb">10-15 mm</td></tr>
<tr><td class="letda" style="background-color:#0000cc"></td><td class="letdb">6-10 mm</td></tr>
<tr><td class="letda" style="background-color:#0019ff"></td><td class="letdb">4-8 mm</td></tr>
<tr><td class="letda" style="background-color:#0059ff"></td><td class="letdb">2-4 mm</td></tr>
<tr><td class="letda" style="background-color:#0099ff"></td><td class="letdb">1-2 mm</td></tr>
<tr><td class="letda" style="background-color:#20b2ff"></td><td class="letdb">0.5-1 mm</td></tr>
<tr><td class="letda" style="background-color:#40ccff"></td><td class="letdb">0.1-0.5 mm</td></tr>
<tr><td class="letda" style="text-align:center;"><img src="http://data.nordicweather.net/yr/scripts/snowflake_24.png" alt="" /></td><td class="letdb">'.FSNOW.'</td></tr>
<tr><td class="letda" style="text-align:center;"><img src="http://data.nordicweather.net/yr/scripts/hail.png" alt="" /></td><td class="letdb">'.FHAIL.'</td></tr>
<tr><td class="letda" style="text-align:center;"><img src="http://data.nordicweather.net/yr/scripts/frz.png" alt="" /></td><td class="letdb">'.FFRZ.'</td></tr>
<tr><td class="letda" style="text-align:center;"><img src="http://data.nordicweather.net/yr/scripts/lightning.png" alt="" /></td><td class="letdb">'.FLIG.'</td></tr>
</table>

<table class="letable le1 le11 le2 le12 le13 le41 le42 le43 le61 le62" style="width:60px;float:right">
<tr><td class="letda2" style="background-color:rgb(223,6,84)"></td><td></td></tr>
<tr><td class="letda2" style="background-color:rgb(219, 9, 73)"></td><td></td></tr>
<tr><td class="letda2" style="background-color:rgb(215, 12, 62)"></td><td rowspan="5" class="letdb2">35&deg;</td></tr>
<tr><td class="letda2" style="background-color:rgb(211, 15, 51)"></td></tr>
<tr><td class="letda2" style="background-color:rgb(207, 18, 40)"></td></tr>
<tr><td class="letda2" style="background-color:rgb(203, 21, 29)"></td></tr>
<tr><td class="letda2" style="background-color:rgb(199, 24, 18)"></td></tr>
<tr><td class="letda2" style="background-color:rgb(195, 28, 7)"></td><td rowspan="5" class="letdb2">30&deg;</td></tr>
<tr><td class="letda2" style="background-color:rgb(207, 32, 7)"></td></tr>
<tr><td class="letda2" style="background-color:rgb(211, 42, 8)"></td></tr>
<tr><td class="letda2" style="background-color:rgb(215,52,8)"></td></tr>
<tr><td class="letda2" style="background-color:rgb(219, 62, 9)"></td></tr>
<tr><td class="letda2" style="background-color:rgb(223, 72, 9)"></td><td rowspan="5" class="letdb2">25&deg;</td></tr>
<tr><td class="letda2" style="background-color:rgb(227,82,9)"></td></tr>
<tr><td class="letda2" style="background-color:rgb(232, 92, 10)"></td></tr>
<tr><td class="letda2" style="background-color:rgb(236, 102, 10)"></td></tr>
<tr><td class="letda2" style="background-color:rgb(240, 112, 11)"></td></tr>
<tr><td class="letda2" style="background-color:rgb(244, 122, 11)"></td><td rowspan="5" class="letdb2">20&deg;</td></tr>
<tr><td class="letda2" style="background-color:rgb(244, 144, 11)"></td></tr>
<tr><td class="letda2" style="background-color:rgb(244, 152, 11)"></td></tr>
<tr><td class="letda2" style="background-color:rgb(244, 160, 11)"></td></tr>
<tr><td class="letda2" style="background-color:rgb(244, 168, 11)"></td></tr>
<tr><td class="letda2" style="background-color:rgb(244, 176, 11)"></td><td rowspan="5" class="letdb2">15&deg;</td></tr>
<tr><td class="letda2" style="background-color:rgb(244, 184, 11)"></td></tr>
<tr><td class="letda2" style="background-color:rgb(244, 192, 11)"></td></tr>
<tr><td class="letda2" style="background-color:rgb(244, 200, 11)"></td></tr>
<tr><td class="letda2" style="background-color:rgb(244, 208, 11)"></td></tr>
<tr><td class="letda2" style="background-color:#f4d90b"></td><td rowspan="5" class="letdb2">10&deg;</td></tr>
<tr><td class="letda2" style="background-color:#f4e60b"></td></tr>
<tr><td class="letda2" style="background-color:#ebe816"></td></tr>
<tr><td class="letda2" style="background-color:#e6eb20"></td></tr>
<tr><td class="letda2" style="background-color:#dcec2e"></td></tr>
<tr><td class="letda2" style="background-color:#d2ee3c"></td><td rowspan="5" class="letdb2">5&deg;</td></tr>
<tr><td class="letda2" style="background-color:#c8f04a"></td></tr>
<tr><td class="letda2" style="background-color:#bef158"></td></tr>
<tr><td class="letda2" style="background-color:#b4f266"></td></tr>
<tr><td class="letda2" style="background-color:#aff474"></td></tr>
<tr><td class="letda2" style="background-color:#aaf682"></td><td rowspan="5" class="letdb2">0&deg;</td></tr>
<tr><td class="letda2" style="background-color:#c7e4ff"></td></tr>
<tr><td class="letda2" style="background-color:#b5dcff"></td></tr>
<tr><td class="letda2" style="background-color:#a3d4ff"></td></tr>
<tr><td class="letda2" style="background-color:#9ad0ff"></td></tr>
<tr><td class="letda2" style="background-color:#91ccff"></td><td rowspan="5" class="letdb2">-5&deg;</td></tr>
<tr><td class="letda2" style="background-color:#7fc4ff"></td></tr>
<tr><td class="letda2" style="background-color:#6dbcff"></td></tr>
<tr><td class="letda2" style="background-color:#5bb4ff"></td></tr>
<tr><td class="letda2" style="background-color:#49acff"></td></tr>
<tr><td class="letda2" style="background-color:#259aff"></td><td rowspan="5" class="letdb2">-10&deg;</td></tr>
<tr><td class="letda2" style="background-color:#1392ff"></td></tr>
<tr><td class="letda2" style="background-color:#0082ef"></td></tr>
<tr><td class="letda2" style="background-color:#0072cf"></td></tr>
<tr><td class="letda2" style="background-color:#0062af"></td></tr>
<tr><td class="letda2" style="background-color:#00528f"></td><td rowspan="5" class="letdb2">-15&deg;</td></tr>
<tr><td class="letda2" style="background-color:#00467f"></td></tr>
<tr><td class="letda2" style="background-color:#003c7f"></td></tr>
<tr><td class="letda2" style="background-color:#00327f"></td></tr>
<tr><td class="letda2" style="background-color:#00287f"></td></tr>
<tr><td class="letda2" style="background-color:#001e7f"></td><td rowspan="5" class="letdb2">-20&deg;</td></tr>
<tr><td class="letda2" style="background-color:#00187f"></td></tr>
<tr><td class="letda2" style="background-color:#00007f"></td></tr>
<tr><td class="letda2" style="background-color:#0c007f"></td></tr>
<tr><td class="letda2" style="background-color:#19007f"></td></tr>
<tr><td class="letda2" style="background-color:#25007f"></td><td rowspan="5" class="letdb2">-25&deg;</td></tr>
<tr><td class="letda2" style="background-color:#32007f"></td></tr>
<tr><td class="letda2" style="background-color:#3e007f"></td></tr>
<tr><td class="letda2" style="background-color:#4b007f"></td></tr>
<tr><td class="letda2" style="background-color:#57007f"></td></tr>
<tr><td class="letda2" style="background-color:#64007f"></td><td rowspan="5" class="letdb2">-30&deg;</td></tr>
<tr><td class="letda2" style="background-color:#78048d"></td></tr>
<tr><td class="letda2" style="background-color:#870898"></td></tr>
<tr><td class="letda2" style="background-color:#960ca3"></td></tr>
<tr><td class="letda2" style="background-color:#a510ae"></td></tr>
<tr><td class="letda2" style="background-color:rgb(180,20,185)"></td><td rowspan="6" class="letdb2">-35&deg;</td></tr>
<tr><td class="letda2" style="background-color:rgb(182,18,160)"></td></tr>
<tr><td class="letda2" style="background-color:rgb(185,16,150)"></td></tr>
<tr><td class="letda2" style="background-color:rgb(188,14,140)"></td></tr>
<tr><td class="letda2" style="background-color:rgb(191,13,130)"></td></tr>
<tr><td class="letda2" style="background-color:rgb(194,12,120)"></td></tr>
</table>

<table class="letable le3 le14 le28 le44 le34 le63" style="width:95px;float:right">
<tr><td class="letda2" style="background-color:#f529d1"></td><td class="letdb">32.6 m/s</td></tr>
<tr><td class="letda2" style="background-color:#ff3300"></td><td class="letdb">29 m/s</td></tr>
<tr><td class="letda2" style="background-color:#ff6600"></td><td class="letdb">25 m/s</td></tr>
<tr><td class="letda2" style="background-color:#ff9900"></td><td class="letdb">21 m/s</td></tr>
<tr><td class="letda2" style="background-color:#ffcc00"></td><td class="letdb">17 m/s</td></tr>
<tr><td class="letda2" style="background-color:#ffff00"></td><td class="letdb">14 m/s</td></tr>
<tr><td class="letda2" style="background-color:#ccff00"></td><td class="letdb">11 m/s</td></tr>
<tr><td class="letda2" style="background-color:#99ff00"></td><td class="letdb">8 m/s</td></tr>
<tr><td class="letda2" style="background-color:#99ff66"></td><td class="letdb">5 m/s</td></tr>
</table>

<table class="letable le hpa-wind" style="width:105px;float:right">
<tr><td class="letda2" style="background-color:#e6005a"></td><td class="letdb">90 m/s</td></tr>
<tr><td class="letda2" style="background-color:#dc0050"></td><td class="letdb">85-90 m/s</td></tr>
<tr><td class="letda2" style="background-color:#c8003c"></td><td class="letdb">80-85 m/s</td></tr>
<tr><td class="letda2" style="background-color:#a50b19"></td><td class="letdb">75-80 m/s</td></tr>
<tr><td class="letda2" style="background-color:#ba130f"></td><td class="letdb">70-75 m/s</td></tr>
<tr><td class="letda2" style="background-color:#ce2007"></td><td class="letdb">65-70 m/s</td></tr>
<tr><td class="letda2" style="background-color:#dc2708"></td><td class="letdb">60-65 m/s</td></tr>
<tr><td class="letda2" style="background-color:#e83709"></td><td class="letdb">55-60 m/s</td></tr>
<tr><td class="letda2" style="background-color:#f4440b"></td><td class="letdb">50-55 m/s</td></tr>
<tr><td class="letda2" style="background-color:#f45f0b"></td><td class="letdb">45-50 m/s</td></tr>
<tr><td class="letda2" style="background-color:#f47a0b"></td><td class="letdb">40-45 m/s</td></tr>
<tr><td class="letda2" style="background-color:#f4950b"></td><td class="letdb">35-40 m/s</td></tr>
<tr><td class="letda2" style="background-color:#f4b00b"></td><td class="letdb">30-35 m/s</td></tr>
<tr><td class="letda2" style="background-color:#f4cb0b"></td><td class="letdb">25-30 m/s</td></tr>
<tr><td class="letda2" style="background-color:#f4e60b"></td><td class="letdb">20-25 m/s</td></tr>
<tr><td class="letda2" style="background-color:#ccff00"></td><td class="letdb">15-20 m/s</td></tr>
<tr><td class="letda2" style="background-color:#99ff00"></td><td class="letdb">10-15 m/s</td></tr>
<tr><td class="letda2" style="background-color:#99ff66"></td><td class="letdb">5-10 m/s</td></tr>
</table>

<table class="letable le23 le51" style="width:100px;float:right">
<tr><td class="letda2" style="background-color:#8C0A16"></td><td class="letdb">2600 J/kg</td></tr>
<tr><td class="letda2" style="background-color:#a50b19"></td><td class="letdb">2400 J/kg</td></tr>
<tr><td class="letda2" style="background-color:#ba130f"></td><td class="letdb">2200 J/kg</td></tr>
<tr><td class="letda2" style="background-color:#dc2708"></td><td class="letdb">2000 J/kg</td></tr>
<tr><td class="letda2" style="background-color:#f4440b"></td><td class="letdb">1800 J/kg</td></tr>
<tr><td class="letda2" style="background-color:#f47a0b"></td><td class="letdb">1600 J/kg</td></tr>
<tr><td class="letda2" style="background-color:#f4950b"></td><td class="letdb">1400 J/kg</td></tr>
<tr><td class="letda2" style="background-color:#f4b00b"></td><td class="letdb">1200 J/kg</td></tr>
<tr><td class="letda2" style="background-color:#f4cb0b"></td><td class="letdb">1000 J/kg</td></tr>
<tr><td class="letda2" style="background-color:#f4e60b"></td><td class="letdb">800 J/kg</td></tr>
<tr><td class="letda2" style="background-color:#ccff00"></td><td class="letdb">600 J/kg</td></tr>
<tr><td class="letda2" style="background-color:#99ff00"></td><td class="letdb">400 J/kg</td></tr>
<tr><td class="letda2" style="background-color:#99ff66"></td><td class="letdb">200 J/kg</td></tr>
</table>

<table class="letable le17" style="width:85px;float:right">
<tr><td class="letda2" style="background-color:#8C0A16"></td><td class="letdb">0 km</td></tr>
<tr><td class="letda2" style="background-color:#a50b19"></td><td class="letdb">0.5 km</td></tr>
<tr><td class="letda2" style="background-color:#ba130f"></td><td class="letdb">1 km</td></tr>
<tr><td class="letda2" style="background-color:#ce2007"></td><td class="letdb">2 km</td></tr>
<tr><td class="letda2" style="background-color:#dc2708"></td><td class="letdb">4 km</td></tr>
<tr><td class="letda2" style="background-color:#e83709"></td><td class="letdb">6 km</td></tr>
<tr><td class="letda2" style="background-color:#f4440b"></td><td class="letdb">8 km</td></tr>
<tr><td class="letda2" style="background-color:#f45f0b"></td><td class="letdb">10 km</td></tr>
<tr><td class="letda2" style="background-color:#f47a0b"></td><td class="letdb">12 km</td></tr>
<tr><td class="letda2" style="background-color:#f4950b"></td><td class="letdb">14 km</td></tr>
<tr><td class="letda2" style="background-color:#f4b00b"></td><td class="letdb">16 km</td></tr>
<tr><td class="letda2" style="background-color:#f4cb0b"></td><td class="letdb">18 km</td></tr>
<tr><td class="letda2" style="background-color:#f4e60b"></td><td class="letdb">20 km</td></tr>
<tr><td class="letda2" style="background-color:#ccff00"></td><td class="letdb">22 km</td></tr>
</table>

<table class="letable le10" style="width:85px;float:right">
<tr><td class="letda2" style="background-color:#e6005a"></td><td class="letdb">70 dBZ</td></tr>
<tr><td class="letda2" style="background-color:#dc0050"></td><td class="letdb">65 dBZ</td></tr>
<tr><td class="letda2" style="background-color:#c8003c"></td><td class="letdb">60 dBZ</td></tr>
<tr><td class="letda2" style="background-color:#a50b19"></td><td class="letdb">55 dBZ</td></tr>
<tr><td class="letda2" style="background-color:#ba130f"></td><td class="letdb">50 dBZ</td></tr>
<tr><td class="letda2" style="background-color:#ce2007"></td><td class="letdb">45 dBZ</td></tr>
<tr><td class="letda2" style="background-color:#e83709"></td><td class="letdb">40 dBZ</td></tr>
<tr><td class="letda2" style="background-color:#f45f0b"></td><td class="letdb">35 dBZ</td></tr>
<tr><td class="letda2" style="background-color:#f4950b"></td><td class="letdb">30 dBZ</td></tr>
<tr><td class="letda2" style="background-color:#f4b00b"></td><td class="letdb">25 dBZ</td></tr>
<tr><td class="letda2" style="background-color:#f4e60b"></td><td class="letdb">20 dBZ</td></tr>
<tr><td class="letda2" style="background-color:#99ff00"></td><td class="letdb">15 dBZ</td></tr>
<tr><td class="letda2" style="background-color:#05CDAA"></td><td class="letdb">10 dBZ</td></tr>
<tr><td class="letda2" style="background-color:#0A9BE1"></td><td class="letdb">5 dBZ</td></tr>
</table>

<table class="letable le52 le29" style="width:65px;float:right">
<tr><td class="letda2" style="background-color:#99ff66"></td><td class="letdb">-1 K</td></tr>
<tr><td class="letda2" style="background-color:#99ff00"></td><td class="letdb">-2 K</td></tr>
<tr><td class="letda2" style="background-color:#ccff00"></td><td class="letdb">-3 K</td></tr>
<tr><td class="letda2" style="background-color:#ffff00"></td><td class="letdb">-4 K</td></tr>
<tr><td class="letda2" style="background-color:#ffcc00"></td><td class="letdb">-5 K</td></tr>
<tr><td class="letda2" style="background-color:#ff9900"></td><td class="letdb">-6 K</td></tr>
<tr><td class="letda2" style="background-color:#ff6600"></td><td class="letdb">-7 K</td></tr>
<tr><td class="letda2" style="background-color:#ff3300"></td><td class="letdb">-8 K</td></tr>
<tr><td class="letda2" style="background-color:#f529d1"></td><td class="letdb">-9 K</td></tr>
</table>

<table class="letable le instab" style="width:80px;float:right">
<tr><td class="letda2" style="background-color:#25007f"></td><td></td></tr>
<tr><td class="letda2" style="background-color:#0c007f"></td><td rowspan="5" class="letdb2" >20 K</td></tr>
<tr><td class="letda2" style="background-color:#00187f"></td></tr>
<tr><td class="letda2" style="background-color:#00287f"></td></tr>
<tr><td class="letda2" style="background-color:#003c7f"></td></tr>
<tr><td class="letda2" style="background-color:#00528f"></td></tr>
<tr><td class="letda2" style="background-color:#0072cf"></td><td rowspan="5" class="letdb2">10 K</td></tr>
<tr><td class="letda2" style="background-color:#1392ff"></td></tr>
<tr><td class="letda2" style="background-color:#49acff"></td></tr>
<tr><td class="letda2" style="background-color:#6dbcff"></td></tr>
<tr><td class="letda2" style="background-color:#91ccff"></td></tr>
<tr><td class="letda2" style="background-color:#a3d4ff"></td><td rowspan="5" class="letdb2">0 K</td></tr>
<tr><td class="letda2" style="background-color:#c7e4ff"></td></tr>
<tr><td class="letda2" style="background-color:#aff474"></td></tr>
<tr><td class="letda2" style="background-color:#bef158"></td></tr>
<tr><td class="letda2" style="background-color:#d2ee3c"></td></tr>
<tr><td class="letda2" style="background-color:#e6eb20"></td><td rowspan="5" class="letdb2">-10 K</td></tr>
<tr><td class="letda2" style="background-color:#f4e60b"></td></tr>
<tr><td class="letda2" style="background-color:rgb(244, 208, 11)"></td></tr>
<tr><td class="letda2" style="background-color:rgb(244, 192, 11)"></td></tr>
<tr><td class="letda2" style="background-color:rgb(244, 176, 11)"></td></tr>
<tr><td class="letda2" style="background-color:rgb(244, 160, 11)"></td><td rowspan="6" class="letdb2">-20 K</td></tr>
<tr><td class="letda2" style="background-color:rgb(244, 144, 11)"></td></tr>
<tr><td class="letda2" style="background-color:rgb(240, 112, 11)"></td></tr>
<tr><td class="letda2" style="background-color:rgb(232, 92, 10)"></td></tr>
<tr><td class="letda2" style="background-color:rgb(215,52,8)"></td></tr>
<tr><td class="letda2" style="background-color:rgb(199, 24, 18)"></td></tr>
<tr><td class="letda2" style="background-color:rgb(211, 15, 51)"></td><td rowspan="3" class="letdb2">-30 K</td></tr>
<tr><td class="letda2" style="background-color:rgb(223,6,84)"></td></tr>
<tr><td class="letda2" style="background-color:rgb(235,0,117)"></td></tr>
</table>

<table class="letable le50 le22" style="width:60px;float:right">
<tr><td class="letda2" style="background-color:#8C0A16"></td><td class="letdb">60</td></tr>
<tr><td class="letda2" style="background-color:#a50b19"></td><td class="letdb">59</td></tr>
<tr><td class="letda2" style="background-color:#ba130f"></td><td class="letdb">58</td></tr>
<tr><td class="letda2" style="background-color:#ce2007"></td><td class="letdb">57</td></tr>
<tr><td class="letda2" style="background-color:#dc2708"></td><td class="letdb">56</td></tr>
<tr><td class="letda2" style="background-color:#e83709"></td><td class="letdb">55</td></tr>
<tr><td class="letda2" style="background-color:#f4440b"></td><td class="letdb">54</td></tr>
<tr><td class="letda2" style="background-color:#f45f0b"></td><td class="letdb">53</td></tr>
<tr><td class="letda2" style="background-color:#f47a0b"></td><td class="letdb">52</td></tr>
<tr><td class="letda2" style="background-color:#f4950b"></td><td class="letdb">51</td></tr>
<tr><td class="letda2" style="background-color:#f4b00b"></td><td class="letdb">50</td></tr>
<tr><td class="letda2" style="background-color:#f4cb0b"></td><td class="letdb">49</td></tr>
<tr><td class="letda2" style="background-color:#f4e60b"></td><td class="letdb">48</td></tr>
<tr><td class="letda2" style="background-color:#ccff00"></td><td class="letdb">47</td></tr>
<tr><td class="letda2" style="background-color:#99ff00"></td><td class="letdb">46</td></tr>
<tr><td class="letda2" style="background-color:#99ff66"></td><td class="letdb">45</td></tr>
</table>

<table class="letable le24 le25 le53 le54" style="width:100px;float:right">
<tr><td class="letda2" style="background-color:#e6005a"></td><td class="letdb">950 m&sup2;/s&sup2;</td></tr>
<tr><td class="letda2" style="background-color:#dc0050"></td><td class="letdb">900 m&sup2;/s&sup2;</td></tr>
<tr><td class="letda2" style="background-color:#c8003c"></td><td class="letdb">850 m&sup2;/s&sup2;</td></tr>
<tr><td class="letda2" style="background-color:#a50b19"></td><td class="letdb">800 m&sup2;/s&sup2;</td></tr>
<tr><td class="letda2" style="background-color:#ba130f"></td><td class="letdb">750 m&sup2;/s&sup2;</td></tr>
<tr><td class="letda2" style="background-color:#ce2007"></td><td class="letdb">700 m&sup2;/s&sup2;</td></tr>
<tr><td class="letda2" style="background-color:#dc2708"></td><td class="letdb">650 m&sup2;/s&sup2;</td></tr>
<tr><td class="letda2" style="background-color:#e83709"></td><td class="letdb">600 m&sup2;/s&sup2;</td></tr>
<tr><td class="letda2" style="background-color:#f4440b"></td><td class="letdb">550 m&sup2;/s&sup2;</td></tr>
<tr><td class="letda2" style="background-color:#f45f0b"></td><td class="letdb">500 m&sup2;/s&sup2;</td></tr>
<tr><td class="letda2" style="background-color:#f47a0b"></td><td class="letdb">450 m&sup2;/s&sup2;</td></tr>
<tr><td class="letda2" style="background-color:#f4950b"></td><td class="letdb">400 m&sup2;/s&sup2;</td></tr>
<tr><td class="letda2" style="background-color:#f4b00b"></td><td class="letdb">350 m&sup2;/s&sup2;</td></tr>
<tr><td class="letda2" style="background-color:#f4cb0b"></td><td class="letdb">300 m&sup2;/s&sup2;</td></tr>
<tr><td class="letda2" style="background-color:#f4e60b"></td><td class="letdb">250 m&sup2;/s&sup2;</td></tr>
<tr><td class="letda2" style="background-color:#ccff00"></td><td class="letdb">200 m&sup2;/s&sup2;</td></tr>
<tr><td class="letda2" style="background-color:#99ff00"></td><td class="letdb">150 m&sup2;/s&sup2;</td></tr>
<tr><td class="letda2" style="background-color:#99ff66"></td><td class="letdb">100 m&sup2;/s&sup2;</td></tr>
</table>

<table class="letable le26 le55" style="width:85px;float:right">
<tr><td class="letda2" style="background-color:#e6005a"></td><td class="letdb">46 m/s</td></tr>
<tr><td class="letda2" style="background-color:#dc0050"></td><td class="letdb">44 m/s</td></tr>
<tr><td class="letda2" style="background-color:#c8003c"></td><td class="letdb">42 m/s</td></tr>
<tr><td class="letda2" style="background-color:#a50b19"></td><td class="letdb">40 m/s</td></tr>
<tr><td class="letda2" style="background-color:#ba130f"></td><td class="letdb">38 m/s</td></tr>
<tr><td class="letda2" style="background-color:#ce2007"></td><td class="letdb">36 m/s</td></tr>
<tr><td class="letda2" style="background-color:#dc2708"></td><td class="letdb">34 m/s</td></tr>
<tr><td class="letda2" style="background-color:#e83709"></td><td class="letdb">32 m/s</td></tr>
<tr><td class="letda2" style="background-color:#f4440b"></td><td class="letdb">30 m/s</td></tr>
<tr><td class="letda2" style="background-color:#f45f0b"></td><td class="letdb">28 m/s</td></tr>
<tr><td class="letda2" style="background-color:#f47a0b"></td><td class="letdb">26 m/s</td></tr>
<tr><td class="letda2" style="background-color:#f4950b"></td><td class="letdb">24 m/s</td></tr>
<tr><td class="letda2" style="background-color:#f4b00b"></td><td class="letdb">22 m/s</td></tr>
<tr><td class="letda2" style="background-color:#f4cb0b"></td><td class="letdb">20 m/s</td></tr>
<tr><td class="letda2" style="background-color:#f4e60b"></td><td class="letdb">16 m/s</td></tr>
<tr><td class="letda2" style="background-color:#ccff00"></td><td class="letdb">12 m/s</td></tr>
<tr><td class="letda2" style="background-color:#99ff00"></td><td class="letdb">8 m/s</td></tr>
<tr><td class="letda2" style="background-color:#99ff66"></td><td class="letdb">4 m/s</td></tr>
</table>

<table class="letable le27 le56" style="width:85px;float:right">
<tr><td class="letda2" style="background-color:#e6005a"></td><td class="letdb">30 m/s</td></tr>
<tr><td class="letda2" style="background-color:#ba130f"></td><td class="letdb">28 m/s</td></tr>
<tr><td class="letda2" style="background-color:#ce2007"></td><td class="letdb">26 m/s</td></tr>
<tr><td class="letda2" style="background-color:#dc2708"></td><td class="letdb">24 m/s</td></tr>
<tr><td class="letda2" style="background-color:#e83709"></td><td class="letdb">22 m/s</td></tr>
<tr><td class="letda2" style="background-color:#f4440b"></td><td class="letdb">20 m/s</td></tr>
<tr><td class="letda2" style="background-color:#f45f0b"></td><td class="letdb">18 m/s</td></tr>
<tr><td class="letda2" style="background-color:#f47a0b"></td><td class="letdb">16 m/s</td></tr>
<tr><td class="letda2" style="background-color:#f4950b"></td><td class="letdb">14 m/s</td></tr>
<tr><td class="letda2" style="background-color:#f4b00b"></td><td class="letdb">12 m/s</td></tr>
<tr><td class="letda2" style="background-color:#f4cb0b"></td><td class="letdb">10 m/s</td></tr>
<tr><td class="letda2" style="background-color:#f4e60b"></td><td class="letdb">8 m/s</td></tr>
<tr><td class="letda2" style="background-color:#ccff00"></td><td class="letdb">6 m/s</td></tr>
<tr><td class="letda2" style="background-color:#99ff00"></td><td class="letdb">4 m/s</td></tr>
<tr><td class="letda2" style="background-color:#99ff66"></td><td class="letdb">2 m/s</td></tr>
</table>

<table class="letable le plcl" style="width:110px;float:right">
<tr><td class="letda2" style="background-color:#99ff66"></td><td class="letdb">1020 hPa</td></tr>
<tr><td class="letda2" style="background-color:#99ff00"></td><td class="letdb">1000 hPa</td></tr>
<tr><td class="letda2" style="background-color:#ccff00"></td><td class="letdb">950 hPa</td></tr>
<tr><td class="letda2" style="background-color:#f4e60b"></td><td class="letdb">900 hPa</td></tr>
<tr><td class="letda2" style="background-color:#f4cb0b"></td><td class="letdb">850 hPa</td></tr>
<tr><td class="letda2" style="background-color:#f4b00b"></td><td class="letdb">800 hPa</td></tr>
<tr><td class="letda2" style="background-color:#f4950b"></td><td class="letdb">750 hPa</td></tr>
<tr><td class="letda2" style="background-color:#f47a0b"></td><td class="letdb">700 hPa</td></tr>
<tr><td class="letda2" style="background-color:#f4440b"></td><td class="letdb">650 hPa</td></tr>
<tr><td class="letda2" style="background-color:#dc2708"></td><td class="letdb">600 hPa</td></tr>
<tr><td class="letda2" style="background-color:#ba130f"></td><td class="letdb">550 hPa</td></tr>
<tr><td class="letda2" style="background-color:#e6005a"></td><td class="letdb">500 hPa</td></tr>
</table>

<table class="letable le47 le19" style="width:60px;float:right">
<tr><td class="letda2" style="background-color:#8C0A16"></td><td class="letdb">3.0</td></tr>
<tr><td class="letda2" style="background-color:#ba130f"></td><td class="letdb">2.8</td></tr>
<tr><td class="letda2" style="background-color:#ce2007"></td><td class="letdb">2.6</td></tr>
<tr><td class="letda2" style="background-color:#dc2708"></td><td class="letdb">2.4</td></tr>
<tr><td class="letda2" style="background-color:#e83709"></td><td class="letdb">2.2</td></tr>
<tr><td class="letda2" style="background-color:#f4440b"></td><td class="letdb">2.0</td></tr>
<tr><td class="letda2" style="background-color:#f45f0b"></td><td class="letdb">1.8</td></tr>
<tr><td class="letda2" style="background-color:#f47a0b"></td><td class="letdb">1.6</td></tr>
<tr><td class="letda2" style="background-color:#f4950b"></td><td class="letdb">1.4</td></tr>
<tr><td class="letda2" style="background-color:#f4b00b"></td><td class="letdb">1.2</td></tr>
<tr><td class="letda2" style="background-color:#f4cb0b"></td><td class="letdb">1.0</td></tr>
<tr><td class="letda2" style="background-color:#f4e60b"></td><td class="letdb">0.8</td></tr>
<tr><td class="letda2" style="background-color:#ccff00"></td><td class="letdb">0.6</td></tr>
<tr><td class="letda2" style="background-color:#99ff00"></td><td class="letdb">0.4</td></tr>
<tr><td class="letda2" style="background-color:#99ff66"></td><td class="letdb">0.2</td></tr>
</table>

<table class="letable le48 le20" style="width:60px;float:right">
<tr><td class="letda2" style="background-color:#8C0A16"></td><td class="letdb">15</td></tr>
<tr><td class="letda2" style="background-color:#ba130f"></td><td class="letdb">14</td></tr>
<tr><td class="letda2" style="background-color:#ce2007"></td><td class="letdb">13</td></tr>
<tr><td class="letda2" style="background-color:#dc2708"></td><td class="letdb">12</td></tr>
<tr><td class="letda2" style="background-color:#e83709"></td><td class="letdb">11</td></tr>
<tr><td class="letda2" style="background-color:#f4440b"></td><td class="letdb">10</td></tr>
<tr><td class="letda2" style="background-color:#f45f0b"></td><td class="letdb">9</td></tr>
<tr><td class="letda2" style="background-color:#f47a0b"></td><td class="letdb">8</td></tr>
<tr><td class="letda2" style="background-color:#f4950b"></td><td class="letdb">7</td></tr>
<tr><td class="letda2" style="background-color:#f4b00b"></td><td class="letdb">6</td></tr>
<tr><td class="letda2" style="background-color:#f4cb0b"></td><td class="letdb">5</td></tr>
<tr><td class="letda2" style="background-color:#f4e60b"></td><td class="letdb">4</td></tr>
<tr><td class="letda2" style="background-color:#ccff00"></td><td class="letdb">3</td></tr>
<tr><td class="letda2" style="background-color:#99ff00"></td><td class="letdb">2</td></tr>
<tr><td class="letda2" style="background-color:#99ff66"></td><td class="letdb">1</td></tr>
</table>

<table class="letable le18" style="width:70px;float:right">
<tr><td class="letda2" style="background-color:#8C0A16"></td><td class="letdb">90%</td></tr>
<tr><td class="letda2" style="background-color:#ce2007"></td><td class="letdb">80%</td></tr>
<tr><td class="letda2" style="background-color:#e83709"></td><td class="letdb">70%</td></tr>
<tr><td class="letda2" style="background-color:#f45f0b"></td><td class="letdb">60%</td></tr>
<tr><td class="letda2" style="background-color:#f4950b"></td><td class="letdb">50%</td></tr>
<tr><td class="letda2" style="background-color:#f4b00b"></td><td class="letdb">40%</td></tr>
<tr><td class="letda2" style="background-color:#f4cb0b"></td><td class="letdb">30%</td></tr>
<tr><td class="letda2" style="background-color:#ccff00"></td><td class="letdb">20%</td></tr>
<tr><td class="letda2" style="background-color:#99ff00"></td><td class="letdb">10%</td></tr>
</table>

<table class="letable le sweat" style="width:65px;float:right">
<tr><td class="letda2" style="background-color:#a50b19"></td><td class="letdb">450</td></tr>
<tr><td class="letda2" style="background-color:#ba130f"></td><td class="letdb">425</td></tr>
<tr><td class="letda2" style="background-color:#ce2007"></td><td class="letdb">400</td></tr>
<tr><td class="letda2" style="background-color:#dc2708"></td><td class="letdb">375</td></tr>
<tr><td class="letda2" style="background-color:#e83709"></td><td class="letdb">350</td></tr>
<tr><td class="letda2" style="background-color:#f4440b"></td><td class="letdb">325</td></tr>
<tr><td class="letda2" style="background-color:#f45f0b"></td><td class="letdb">300</td></tr>
<tr><td class="letda2" style="background-color:#f47a0b"></td><td class="letdb">275</td></tr>
<tr><td class="letda2" style="background-color:#f4950b"></td><td class="letdb">250</td></tr>
<tr><td class="letda2" style="background-color:#f4b00b"></td><td class="letdb">225</td></tr>
<tr><td class="letda2" style="background-color:#f4cb0b"></td><td class="letdb">200</td></tr>
<tr><td class="letda2" style="background-color:#f4e60b"></td><td class="letdb">175</td></tr>
<tr><td class="letda2" style="background-color:#ccff00"></td><td class="letdb">150</td></tr>
<tr><td class="letda2" style="background-color:#99ff00"></td><td class="letdb">125</td></tr>
<tr><td class="letda2" style="background-color:#99ff66"></td><td class="letdb">100</td></tr>
</table>

<table class="letable le21" style="width:60px;float:right">
<tr><td class="letda2" style="background-color:#8C0A16"></td><td class="letdb">42</td></tr>
<tr><td class="letda2" style="background-color:#a50b19"></td><td class="letdb">40</td></tr>
<tr><td class="letda2" style="background-color:#ba130f"></td><td class="letdb">38</td></tr>
<tr><td class="letda2" style="background-color:#ce2007"></td><td class="letdb">36</td></tr>
<tr><td class="letda2" style="background-color:#dc2708"></td><td class="letdb">34</td></tr>
<tr><td class="letda2" style="background-color:#e83709"></td><td class="letdb">32</td></tr>
<tr><td class="letda2" style="background-color:#f4440b"></td><td class="letdb">30</td></tr>
<tr><td class="letda2" style="background-color:#f45f0b"></td><td class="letdb">28</td></tr>
<tr><td class="letda2" style="background-color:#f47a0b"></td><td class="letdb">26</td></tr>
<tr><td class="letda2" style="background-color:#f4950b"></td><td class="letdb">24</td></tr>
<tr><td class="letda2" style="background-color:#f4b00b"></td><td class="letdb">22</td></tr>
<tr><td class="letda2" style="background-color:#f4cb0b"></td><td class="letdb">20</td></tr>
<tr><td class="letda2" style="background-color:#f4e60b"></td><td class="letdb">18</td></tr>
<tr><td class="letda2" style="background-color:#ccff00"></td><td class="letdb">16</td></tr>
<tr><td class="letda2" style="background-color:#99ff00"></td><td class="letdb">14</td></tr>
<tr><td class="letda2" style="background-color:#99ff66"></td><td class="letdb">12</td></tr>
</table> 

<table class="letable le7" style="width:85px;float:right">
<tr><td class="letda2" style="background-color:#e6005a"></td><td class="letdb">15 m</td></tr>
<tr><td class="letda2" style="background-color:#ba130f"></td><td class="letdb">14 m</td></tr>
<tr><td class="letda2" style="background-color:#ce2007"></td><td class="letdb">13 m</td></tr>
<tr><td class="letda2" style="background-color:#dc2708"></td><td class="letdb">12 m</td></tr>
<tr><td class="letda2" style="background-color:#e83709"></td><td class="letdb">11 m</td></tr>
<tr><td class="letda2" style="background-color:#f4440b"></td><td class="letdb">10 m</td></tr>
<tr><td class="letda2" style="background-color:#f45f0b"></td><td class="letdb">9 m</td></tr>
<tr><td class="letda2" style="background-color:#f47a0b"></td><td class="letdb">8 m</td></tr>
<tr><td class="letda2" style="background-color:#f4950b"></td><td class="letdb">7 m</td></tr>
<tr><td class="letda2" style="background-color:#f4b00b"></td><td class="letdb">6 m</td></tr>
<tr><td class="letda2" style="background-color:#f4cb0b"></td><td class="letdb">5 m</td></tr>
<tr><td class="letda2" style="background-color:#f4e60b"></td><td class="letdb">4 m</td></tr>
<tr><td class="letda2" style="background-color:#ccff00"></td><td class="letdb">3 m</td></tr>
<tr><td class="letda2" style="background-color:#99ff00"></td><td class="letdb">2 m</td></tr>
<tr><td class="letda2" style="background-color:#99ff66"></td><td class="letdb">1 m</td></tr>
</table>
';

function frccurl($url) {
  $ch = curl_init();
  curl_setopt ($ch, CURLOPT_URL, $url);
  curl_setopt ($ch, CURLOPT_USERAGENT, 'Mozilla/5.0 (Windows NT 6.1; rv:12.0) Gecko/20120424 Firefox/12.0 PaleMoon/12.0');
  curl_setopt ($ch, CURLOPT_REFERER, $ref);
  curl_setopt ($ch, CURLOPT_FOLLOWLOCATION, 1);
  curl_setopt ($ch, CURLOPT_RETURNTRANSFER, 1);
  curl_setopt ($ch, CURLOPT_TIMEOUT,2);
  curl_setopt ($ch, CURLOPT_CONNECTTIMEOUT, 1);
  $response = curl_exec($ch);
  curl_close($ch); 
  return $response;
}
?>